<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Models\Providers\Provider;
use App\Models\Customers\Customer;
use App\Models\AppointmentManagement\Appointment;
use DB;

class AppointmentReminder extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'appointment:reminder';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Send appointment reminder to customer and provider.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        /*$currentDate = date('Y-m-d H:i');
        $time = strtotime($currentDate);
        $time = $time - (15 * 60);
        $date = date("Y-m-d H:i:s", $time);*/
        
        //$appointments = DB::table('appointments')->where(DB::raw('CONCAT(date," ",time)'), '=',  $date)->get();

        $currentDate = strtotime(date('Y-m-d H:i'));
        $appointments = DB::table('appointments')
                        ->where('appointment_cancel','no')
                        ->where('date_time', '>=', strtotime(date("Y-m-d H:i")))
                        ->get();
       
        if($appointments->count())
        {
            foreach($appointments as $key => $appointment) 
            {
               $appointmentDateTime = $appointment->date_time; 
               //if( $currentDate <  $appointmentDateTime && ($appointmentDateTime-$currentDate) / 60 == 15))
               if($currentDate <  $appointmentDateTime &&  ($appointmentDateTime-$currentDate) / 60 == 15)
               {
                    $customer = Customer::where(['id'=>$appointment->customer_id])->first(); 
                    $provider = Provider::where(['id'=>$appointment->provider_id])->first(); 
                    if($customer){
                         /*  push notification to customer  */
                             $deviceToken = $customer->device_token; 
                             $title = "Appointment Reminder";
                             $message = "You have an appointment in 15 minutes";
                             sendCustomerPushNotification($deviceToken,$title,$message);
                         /* end push notification   */ 
                    }
                    if($provider){
                         /*  push notification to provider  */
                             $deviceToken = $provider->device_token; 
                             $title = "Appointment Reminder";
                             $message = "You have an appointment in 15 minutes";
                             sendPushNotification($deviceToken,$title,$message);
                         /* end push notification   */ 
                    }   
               }   
            }
            echo "Appointment reminder cummand run successfully!";
        }
    }
}
