<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Models\Customers\Customer;
use App\Models\MembershipPlan\Payment;
use App\Models\MembershipPlan\Plan;
use Carbon\Carbon;
use DB;

class CustomerAccessCodeRenew extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'accesscode:renew';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Plan expire session reset and auto renew.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
    
        
        /************** Plan Reset ***************/
        $this->planexpired();
        /************** Plan Reset ***************/
        /************** Plan Renew ***************/
        $this->B2BPlanAutoRenew();
        /************** Plan Renew ***************/

    }
    public function B2BPlanAutoRenew(){
        
        // $Customers = DB::table("SELECT plans.id ,customers.* FROM 'customers' 
        // LEFT JOIN plans ON plans.'id' =  customers.'plan_id'
        // WHERE customers.'plan_id' IS NOT NULL AND plans.id IS NOT NULL
        // AND plans.'type' = 'B2B' AND customers.'expired_date' < NOW()")->get();
        date_default_timezone_set('UTC');

        $currentDateTime = Carbon::now();
        $Customers = DB::table('customers')
                    ->select('plans.id','plans.no_of_session','plans.expiry_days','plans.price', 'customers.*')
                    ->leftJoin('plans', 'plans.id', '=', 'customers.plan_id')
                    ->whereNotNull('customers.plan_id')
                    ->whereNotNull('plans.id')
                    ->where('plans.type', 'B2B')
                    ->where('customers.expired_date', '<', $currentDateTime)
                    ->get();

        if(count($Customers) > 0){
            foreach($Customers as $Customer){

                $payment = Payment::where([ 'customer_id' => $Customer->id])    
                                    ->orderBy('id', 'desc')
                                    ->first();
                
                if(!empty($payment->plan_status) && $payment->plan_status == 'ongoing'){
 
                    $JsonDataForPlan = array(
                        'plan_id'=> $Customer->plan_id,
                        'no_of_session'=> $Customer->no_of_session,
                        'expiry_days'=> $Customer->expiry_days,
                        'customer_id'=> $Customer->id,
                        'plan_price'=> $Customer->price,
                    ); 
                

                    DB::table('recurring_payments')
                            ->insert([
                                    'plan_type' => 'B2B',
                                    'payment_response' => json_encode($JsonDataForPlan),
                                    'stripe_customer_id' => $Customer->stripe_subscription_id,
                                    'stripe_subscription_id' => $Customer->stripe_subscription_id,
                                    'created_at' => date('Y-m-d H:i:s'),
                                    'updated_at' => date('Y-m-d H:i:s')
                                ]);
                    
                    $expiryDate =  date('Y-m-d', strtotime("+".$Customer->expiry_days." days"));


                    DB::table('customers')
                    ->where('id', $Customer->id)
                    ->update([
                        'appointment_session' => $Customer->no_of_session,
                        'purchased_date' => date('Y-m-d'),
                        'expired_date' => $expiryDate
                    ]);

                    // $PlanD = DB::table('plans')
                    // ->where('id',$Customer->plan_id)
                    // ->first();

                    $PlanD  = Plan::where(['id' =>  $Customer->plan_id, 'status' => 'active'])->first();
                    $moengageData = [        
                        "type" => "event",
                                    "customer_id" => decryptString($Customer->email),
                                    "actions" => [
                                        [
                                            "action" => "renewal_membership_plan",
                                            "attributes" => [
                                                "plan_name" => $PlanD->title,
                                                "price" => '0',
                                                "transaction_status" => 'Success',
                                                "membership_type" => 'B2B',
                                                "purchase_method" => 'Access Code',
                                                "user_id" => $Customer->id,
                                                "user_email_address" => decryptString($Customer->email)
                                            ],
                                            "platform" => "web"
                                        ]
                                    ]
                                ];
                    moengageCallCustomEventApiRequest($moengageData);

                }
      
            }   
        }

    }

    public function planexpired(){
        $customers = Customer::with(['plan'])->where(['register_step'=>4,'register_status'=>'completed'])->get();
      

        if($customers->count())
        {
            foreach($customers as $key => $customer) 
            {
            if($customer->purchased_date){
                /****** Rinki Added condition to check plan type (B2C) and ID exists or not ******/
                if($customer->plan_id){
                    $PlanData = DB::table('plans')
                        ->where('id',$customer->plan_id)
                        ->first();
                    if($PlanData){
                        /*$purchasedDate = Carbon::createFromFormat('Y-m-d', $customer->purchased_date);
                        $days = !empty($customer->plan) ? $customer->plan->expiry_days : 0;
                        $expiryDate = $purchasedDate->addDays($days);
                        $expiryDate =  $expiryDate->format('Y-m-d');*/
                        if($PlanData->type == 'B2B'){                                
                            $expiryDate  = date('Y-m-d', strtotime($customer->expired_date));
                            if(strtotime($expiryDate) < strtotime(date('Y-m-d')))
                            {
                                    $customerData = Customer::where(['id'=>$customer->id])->first(); 
                                    //if(!empty($customerData->stripe_customer_id) && empty($customerData->stripe_subscription_id)){ 
                                        $customerData->appointment_session = 0;
                                        $customerData->save();
                                    //}
                            }
                        }  
                    }
                }
            }  
            }
            echo "Plan expire cummand run successfully!";
        }
    }
}
