<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Models\Customers\Customer;
use Carbon\Carbon;
use DB;

class CustomerPlanExpireSessionReset extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'plan:expire';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Plan expire session reset.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
    
        $customers = Customer::with(['plan'])->where(['register_step'=>4,'register_status'=>'completed'])->get();
      

            if($customers->count())
            {
                foreach($customers as $key => $customer) 
                {
                if($customer->purchased_date){
                    /****** Rinki Added condition to check plan type (B2C) and ID exists or not ******/
                    if($customer->plan_id){
                        $PlanData = DB::table('plans')
                            ->where('id',$customer->plan_id)
                            ->first();
                        if($PlanData){
                            /*$purchasedDate = Carbon::createFromFormat('Y-m-d', $customer->purchased_date);
                            $days = !empty($customer->plan) ? $customer->plan->expiry_days : 0;
                            $expiryDate = $purchasedDate->addDays($days);
                            $expiryDate =  $expiryDate->format('Y-m-d');*/
                            if($PlanData->type == 'B2C'){                                
                                $expiryDate  = date('Y-m-d', strtotime($customer->expired_date));
                                if(strtotime($expiryDate) < strtotime(date('Y-m-d')))
                                {
                                        $customerData = Customer::where(['id'=>$customer->id])->first(); 
                                        //if(!empty($customerData->stripe_customer_id) && !empty($customerData->stripe_subscription_id)){ 
                                            $customerData->appointment_session = 0;
                                            $customerData->save();
                                        //}
                                }
                            }  
                        }
                    }
                }  
                }
                echo "Plan expire cummand run successfully!";
            }

    }
}
