<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\Providers\Provider;
use App\Models\Customers\ProviderRatingReview;
use DB;


class providerRatingReviews extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'provider:rating_review';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Find Provider rating review';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $providerRatingReviews = ProviderRatingReview::where(['published'=>'active'])->get()->unique('provider_id');

        if($providerRatingReviews->count())
        {
            foreach($providerRatingReviews as $key => $providerRatingReview) 
            {
                   $reviews = ProviderRatingReview::where(['provider_id' => $providerRatingReview->provider_id, 'published'=>'active'])->get();
                   $totalRatingReview = $reviews->count();
                   $avgRatingReview = $reviews->avg('session_rating');

                   DB::table('providers')
                          ->where('id', $providerRatingReview->provider_id)
                          ->update(['rating' => $avgRatingReview, 'reviews' => $totalRatingReview]);
            }
            echo "Rating review cummand run successfully!";
        }
    }
}
