<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Laravel\Lumen\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //\App\Console\Commands\PushCommand::class,
        \App\Console\Commands\ProviderNextAvailableSlot::class,
        \App\Console\Commands\ProviderFollowUpMessage::class,
        \App\Console\Commands\AppointmentReminder::class,
        \App\Console\Commands\providerRatingReviews::class,
        \App\Console\Commands\CustomerPlanExpireSessionReset::class,
        \App\Console\Commands\AppointmentNoShow::class,
        \App\Console\Commands\CustomerAccessCodeRenew::class,
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        //$schedule->command('send:push')->everyTwoMinutes();
        $schedule->command('provider:next_available_slot')->everyMinute();
        $schedule->command('provider:follow_up_message')->everyMinute();
        $schedule->command('appointment:reminder')->everyMinute();
        $schedule->command('provider:rating_review')->everyMinute();
        $schedule->command('plan:expire')->everyMinute();
        $schedule->command('appointment:noshow')->everyMinute();        
        $schedule->command('accesscode:renew')->everyMinute();
    }
}
