<?php

namespace App\Http\Controllers\v3\Settings;

use Exception;
use Throwable;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Http\Controllers\Controller;

use App\Models\Settings\Setting;
use App\Models\Settings\App_version;
use Validator;
use DB;

class SettingCotroller extends Controller
{
    public function index(Request $request) {       
        try {

            $key = Setting::orderBy('id')->pluck('name')->toArray();            
            $value = Setting::orderBy('id')->pluck('value')->toArray();
            $result = array_combine($key,$value);

            return response()->json(['status' => config('service.USER_API.MESSAGE.SUCCESS_STATUS'), 'message' => 'Setting List.', 'records' => $result]);
        } catch (Exception $e) {
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'records' => []]);
        } catch (Throwable $e) {
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'records' => []]);
        }

    }


    public function update(Request $request) {  
        $this->validate($request, [
            'params' => 'required',
        ]);
             
        try {
            $setting = '';
            $params = $request->params;
            if( !empty($params) && is_array($params) ) {
                foreach ($params as $key => $val) {
                    $setting = Setting::where('name','=', $key);
                    if($setting->exists() && !empty($val)) {
                        $upd['value'] = $val;
                        $setting->update($upd);
                    }
                }
            }
            // print_r($params);
            // die;

            return response()->json(['status' => "success", 'message' => 'Setting updated.', 'records' => $setting]);
        } catch (Exception $e) {
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'records' => []]);
        } catch (Throwable $e) {
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'records' => []]);
        }

    }

    public function appConfigurationSave(Request $request)
    {
         $input = $request->all();

         try {

            $setting = '';
            $params = $request->all();
            if($request->has('logo')) {
                  //image upload
                  $imageName = rand(10000, 9999999) . '-' . time() . '.' . request()->logo->getClientOriginalExtension();          
                  request()->logo->move(storage_path('logo'),$imageName);
                  $data['image'] = $imageName; 

                  $setting = Setting::where('name','=', 'logo');
                  if($setting->exists()) {
                         $upd['value'] = $data['image'];
                         $setting->update($upd);
                  } 
            }
            
            if(!empty($params) && is_array($params) ) {
                foreach ($params as $key => $val) {
                    if($key == "logo"){
                       continue;
                    }
                    $setting = Setting::where('name','=', $key);
                    if($setting->exists() && !empty($val)) {
                        $upd['value'] = $val;
                        $setting->update($upd);
                    }
                }
            }

         return response()->json(['status' => 'success', 'message' =>'Setting update', 'records' => $input]);
         
         } catch (Exception $e) {
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'records' => []]);
        } catch (Throwable $e) {
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'records' => []]);
        }

    }

    public function adminSettingValue(Request $request)
    {
        $name = $request->name;
        if($name == "logo"){
            $logo   =  Setting::where('name',$name)->value('value');
            $url    =  storage_path('logo/'.$logo);
            $result = image_to_base64($url);

        }else{
            $result =  Setting::where('name',$name)->value('value');
        }
        if(!empty($result))
        {

            return response()->json(['status' => "success", 'message' => 'setting value list successfully.', 'records' => $result]);
        }
        else
        {
            return response()->json(['status' => "failed", 'message' => 'setting value not found.', 'records' => null]);
        }
    }

    public function getLatestAppVersion(Request $request)
    {
        try {

            $message = array(
                'platform.required' => config('service.CUSTOMER_API.VALIDATION.PLATFORM_REQUIRED'),
                'app.required' => config('service.CUSTOMER_API.VALIDATION.APP_REQUIRED')
            );
            $validator = Validator::make($request->all(), [
                'platform' => 'required',
                'app' => 'required',
            ]);
            if($validator->fails()){
                return response()->json(['success' => false,'message' => $validator->errors()->first()]);
            }else{
                $platform  = $request->platform;
                $app = $request->app;
                $ColumnName  = $platform.'_'.$app.'_app';
                $AppData = App_version::select($ColumnName)->first();  
                return response()->json(['status' => "success", 'message' => 'App latest version data.', 'version' => $AppData->$ColumnName]);
            }
        } catch (Throwable $e) {
            return response()->json(['status' => 'error', 'message' => $e->getMessage(), 'version' => []]);
        }
    }

    public function getLatestAppVersionAll()
    {
        try {

            $AppData = App_version::first();  
            return response()->json(['status' => "success", 'message' => 'App latest version data.', 'version' => $AppData]);
            
        } catch (Throwable $e) {
            return response()->json(['status' => 'error', 'message' => $e->getMessage(), 'version' => []]);
        }
    }
    
    public function updateLatestAppVersion(Request $request)
    {
        try {

             date_default_timezone_set('UTC');
             $validator = Validator::make($request->all(), [
                 'android_provider_app' => 'required',
                 'android_consumer_app' => 'required',
                 'ios_consumer_app' => 'required',
                 'ios_provider_app' => 'required',
             ]);
             if($validator->fails()){
                 return response()->json(['status' => 'error','message' => $validator->errors()->first()]);
             }else{
               
                $App_version = App_version::findOrFail(1);
                DB::beginTransaction();
                $input = $request->all();
                $inputs['android_provider_app'] = $input['android_provider_app'];
                $inputs['android_consumer_app'] = $input['android_consumer_app'];
                $inputs['ios_consumer_app'] = $input['ios_consumer_app'];
                $inputs['ios_provider_app'] = $input['ios_provider_app'];
                $inputs['modifiedAt'] = date('Y-m-d H:i:s');
                $save  = $App_version->update($inputs);
                DB::commit();
                return response()->json(['status' => "success", 'message' => 'App latest version data.', 'records' => $input]);
            }
        } catch (Throwable $e) {
            return response()->json(['status' => 'error', 'message' => $e->getMessage(), 'version' => []]);
        }
    }
    
}
