<?php

namespace App\Http\Controllers\v4\Users;

use Exception;
use Throwable;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\DB;
use App\Models\Users\User;
use App\Models\Users\Oauth;
use App\Models\ScopeGroups\ScopeGroup;

class ScopeController extends Controller {

    /**
     * The user repository implementation.
     *
     * @var UserRepository
     */
    protected $users;
    protected $oauth_user;

    public function __construct(User $users, Oauth $oauth_user) {

        $this->users = $users;
        $this->oauth_user = $oauth_user; 
        //has_scope('scopes.read');
    }

    
    /**
     * Retrieve all scopes.
     * 
     * @return \Illuminate\Http\Response
     */
    public function index() 
    {
        try {

            //$result = DB::table('oauth_scopes')->select('*')->get();
            
            $result=ScopeGroup::with('scopeGroup')->get()->toArray();
            
            return response()->json(['status' => config('service.USER_API.MESSAGE.SUCCESS_STATUS'), 'message' => 'Scopes List', 'result' => $result]);
        } 
        catch (Exception $e) {
            
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'result' => []]);
        } 
        catch (Throwable $e) {
            
            return response()->json(['status' => config('service.USER_API.MESSAGE.ERROR_STATUS'), 'message' => $e->getMessage(), 'result' => []]);
        }
    }

}
