<?php

namespace App\Jobs;
use Illuminate\Support\Facades\Mail;
use Exception;

class CustomerAccessCodeJob extends Job
{
	protected $email;
	protected $greeting;
    protected $body;
    protected $link;
    protected $type;
    protected $gratitude;
    protected $regard;
    protected $footer;
    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct($email,$greeting,$body,$accesscode,$type,$gratitude,$regard,$footer)
    {
        $this->email    =  $email;
		$this->greeting =  $greeting;
        $this->body     =  $body;
        $this->type     =  $type;
        $this->gratitude  =  $gratitude;
        $this->regard   =  $regard;
        $this->footer   =  $footer;
        $this->accesscode = $accesscode;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    { 
        $data['greeting'] = $this->greeting;
        $data['body']     = $this->body;
        $data['accesscode']     = $this->accesscode;
        $data['gratitude']  = $this->gratitude;
        $data['regard']     = $this->regard;
        $data['footer']     = $this->footer;
		$user_email   = $this->email;
        $subject      = $this->type;
		
        Mail::send('emails.Customers.accesscode-email',['data'=>$data], function($message) use ($user_email,$subject) {
                $message->to($user_email);
                $message->subject($subject);
        });
    }
}
