<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use App\Mail\SendEmailTest;
use Illuminate\Contracts\Mail\Mailer;

class SendEmailJob implements ShouldQueue
{
    use InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $mailData;
    protected $templateData;
    public function __construct($mailData,$templateData)
    {
        
         $this->mailData = $mailData;
         $this->templateData = $templateData;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle(Mailer $mailer)
    {
        $mailData = $this->mailData;
        $templateData = $this->templateData;
        $mailer->send('emails.email_template', ['content' =>  $templateData->text], function ($m)  use ($templateData,$mailData) {
            $m->to([$mailData['receiver_email']]);
            //$m->from(['preventive@admin.com']);
            $m->subject($templateData->title);
        });
    }

}
