<?php

namespace App\Models\Business;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use App\Models\Business\Business;
use App\Models\Business\BusinessAccessCodeUserMap;

class BusinessAccessCode extends Model
{
    protected $table = 'business_access_codes';

    protected $fillable = [
        'access_code', 
        'business_id',
        'status', 
        
      
    ];
    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function business()
    {
        return $this->belongsTo(Business::class);
    }

    public function access_code_map()
    {
        return $this->hasOne(BusinessAccessCodeUserMap::class, 'access_id', 'id');
    }

    // public function accesscodemap(){
    //     return $this->belongsTo('App\Models\Business\BusinessAccessCodeUserMap','access_id','id');
    //  }

   


 
}
