<?php

namespace App\Models\CMS;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Carbon\Carbon;

class CmsPage extends Model implements TranslatableContract
{
    use Translatable;

    public $translatedAttributes = ['title','description'];

    protected $fillable = [ 
       'slug','status'
    ];

    // public function getCreatedAtAttribute ($value) 
    // { 
    //     $timezone = !empty(request()->admin_time_zone) ? request()->admin_time_zone : "America/New_York";
    //     $dateTime = Carbon::parse($value)->timezone($timezone);
    //     return date('m/d/Y h:i A',strtotime($dateTime));
   
    // }

    public function getCreatedAtAttribute ($created_at) 
   { 
      return convertTimeUtcToLocal($created_at);
     
   }

   public function getUpdatedAtAttribute ($updated_at) 
   { 
      return convertTimeUtcToLocal($updated_at);
   }

   public function setCreatedAtAttribute () 
   { 
      $this->attributes['created_at']=convertcurrenttimetoUtc(date('Y-m-d H:i:s'));

   }
   
   public function setUpdatedAtAttribute () 
   { 
      $this->attributes['updated_at']=convertcurrenttimetoUtc(date('Y-m-d H:i:s'));
   } 

}
