<?php

namespace App\Models\Chat;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use App\Models\Providers\Provider;
use App\Models\Customers\Customer;
use App\Models\Chat\MessageRoom;

class MessageRoomChat extends Model
{
    protected $table = 'message_room_chat';

    protected $fillable = [
        'room_id_db', 
        'firebase_sender_id', 
        'firebase_peer_id', 
        'room_id', 
        'sender_id', 
        'receiver_id', 
        'sender_type', 
        'receiver_type',
        'message',
        'status'
    ];

    public function customer() {
        return $this->belongsTo(Customer::class, 'receiver_id');
    }

    public function provider() {
        return $this->belongsTo(Provider::class, 'receiver_id');
    }

    public function chat_room() {
        return $this->belongsTo(MessageRoom::class, 'room_id', 'room_id');
    }


}
