<?php

namespace App\Models\Contractors;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Seeder;
use App\Models\Contractors\Service;
use App\Models\Contractors\Contractor;
use App\Models\Contractors\ServiceCategory;

class ContractorService extends Model
{
    protected $table = 'contractor_service';
    protected $primaryKey = 'id';
    protected $fillable = [
        'contractor_id',
        'service_id',
        'status'
    ];

    /**
     * Get the contractor.
     */
    public function contractor() {
        return $this->belongsTo(Contractor::class, 'contractor_id', 'id');
    }

     /**
     * Get the service category.
     */
    public function contractor_service_category() {
        return $this->hasMany(ContractorCategory::class, 'contractor_service_id');
    }
}
