<?php

namespace App\Models\Contractors;

use Illuminate\Database\Eloquent\Model;

use App\Models\Contractors\Contractor;
use App\Models\Contractors\Customer;
use App\Models\Contractors\Booking;

class Jobs extends Model
{
    protected $table = 'job_tracking';
    
    protected $fillable = [
        'booking_id', 'user_id', 'contractor_id', 'job_started', 'job_end', 'status', 'reason'
    ];

    public function contractor() 
    {        
        return $this->belongsTo(Contractor::class, 'contractor_id');
    }

    public function customer() 
    {        
    	return $this->belongsTo(Customer::class, 'user_id');
    }

    public function booking() 
    {        
    	return $this->belongsTo(Booking::class, 'booking_id');
    }
}
