<?php

namespace App\Models\Customers;

use Illuminate\Database\Eloquent\Model;

class Booking extends Model
{
    protected $table = 'booking';
    
    protected $fillable = [
        'user_id', 'contractor_id', 'booking_id', 'slot_id', 'service_id', 'service_cat_id', 'address', 'longitude', 'latitude', 'booking_date', 'booking_time', 'status', 'amount'
    ];

    public function contractor() {
        
        return $this->belongsTo(Contractor::class, 'contractor_id');
    }

    public function user(){
        
    	return $this->belongsTo(Customer::class, 'user_id');
    }

    public function service(){
        
    	return $this->belongsTO(Service::class, 'service_id');
    }

    public function serviceCategory(){
        
    	return $this->belongsTo(ServiceCategory::class, 'service_cat_id');
    }

    public function jobs() {
        
        return $this->belongsTo(Jobs::class, 'id', 'booking_id');
    }
}
