<?php

namespace App\Models\Customers;

use Illuminate\Auth\Authenticatable;
use Illuminate\Contracts\Auth\Access\Authorizable as AuthorizableContract;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Laravel\Lumen\Auth\Authorizable;

use Illuminate\Notifications\Notifiable;
use App\Models\Customers\Address;
use App\Models\Customers\Jobs;


class CustomerIntakeQuestion extends Model implements AuthenticatableContract, AuthorizableContract
{
    use Authenticatable, Authorizable, HasFactory, Notifiable;

    protected $table = 'customer_intake_questions';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'customer_id',
         'intake_question_id', 
    ];

    
    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function question(){ 
        return $this->belongsTo('App\Models\Customers\IntakeQuestion','intake_question_id','id');       
    }

    public function intakeQuestionAnswer()
    {
        return $this->hasMany('App\Models\Customers\CustomerIntakeQuestionAnswer','customer_intake_question_id','id');
    }

    
}
