<?php

namespace App\Models\Customers;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use App\Models\Providers\Provider;
use App\Models\Customers\Customer;
use App\Models\Providers\MessageRoom;

class MessageRoomChat extends Model
{
    protected $table = 'message_room_chat';

    protected $fillable = [
        'room_id_db', 
        'firebase_sender_id', 
        'firebase_peer_id', 
        'room_id', 
        'sender_id', 
        'receiver_id', 
        'sender_type', 
        'receiver_type',
        'message',
        'msg_date_time',
        'status'
    ];

    protected $appends = ['utc_created_at'];

    public function customer() {
        return $this->belongsTo(Customer::class, 'receiver_id');
    }

    public function provider() {
        return $this->belongsTo(Provider::class, 'receiver_id');
    }

    public function chat_room() {
        return $this->belongsTo(MessageRoom::class, 'room_id', 'room_id');
    }

    public function getCreatedAtAttribute ($value) 
    {
        $timezone = request()->customer_timezone;
        $dateTime = Carbon::parse($value)->timezone($timezone);
        return date("m/d/Y, h:i A", strtotime($dateTime));
    }

    public function getUtcCreatedAtAttribute()
    {
        if(!empty($this->attributes['created_at'])){
            return  $this->attributes['created_at'];
        } 
    }


}
