<?php

namespace App\Models\Enquiry;

use Illuminate\Database\Eloquent\Model;

class Enquiry extends Model
{
   
    protected $fillable = [
        'name',
        'email',
        'phone',
        'message',
        'title',
        'user_type',
        'issue_type',
        'user_id',
        'vendor_id',
        'status',
        'image',
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    protected $hidden = [
       'name','email','phone'
    ];

    public function vendor(){
        return $this->belongsTo('App\Models\Vendors\Vendor','vendor_id','id')->select('id','first_name','last_name','email','phone_code','phone');       
    }

    public function user(){
        return $this->belongsTo('App\Models\Customers\Customer','user_id','id')->select('id','first_name','last_name','email','phone_code','phone');;
    }

    public function getImageAttribute($value) {
        $target = "../storage/enquiry/".$value;
        return image_to_base64($target);
    }

}  
