<?php

namespace App\Models\Groups;

use Illuminate\Database\Eloquent\Model;

class GroupMember extends Model
{
    protected $fillable = [ 
       'group_id',
       'name',
       'age',
       'type',
       'date'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function group() {
        return $this->belongsTo('App\Models\Groups\Group')->with('user');
    }
   
    public function sent() {
        return $this->belongsTo('App\Models\Groups\GroupNotification','id','fk_group_members');
    }

}
