<?php

namespace App\Models\MembershipPlan;

use Illuminate\Database\Eloquent\Model;
use App\Models\Customers\Customer;
use App\Models\MembershipPlan\Plan;

class Payment extends Model
{
    

    protected $fillable = [
        'id','transaction_id','stripe_customer_id','plan_id','total_sessions','plan_status','customer_id', 'payment_method', 'amount', 'payment_status','plan_info','stripe_plan_info','payment_response','purchased_date','expire_at','created_at','updated_at'
    ];


    public function customer() {  
        return $this->belongsTo(Customer::class, 'customer_id');
    }


    public function plan() {  
        return $this->belongsTo(Plan::class, 'plan_id');
    }

    public function getCreatedAtAttribute ($created_at) 
   { 
      return $created_at;
      // return convertTimeUtcToLocal($created_at);
     
   }

   public function getUpdatedAtAttribute ($updated_at) 
   { 
      // return convertTimeUtcToLocal($updated_at);
      return $updated_at;
   }

   public function setCreatedAtAttribute () 
   { 
      // $this->attributes['created_at']=convertcurrenttimetoUtc(date('Y-m-d H:i:s'));
      $this->attributes['created_at']=date('Y-m-d H:i:s');

   }
   
   public function setUpdatedAtAttribute () 
   { 
      // $this->attributes['updated_at']=convertcurrenttimetoUtc(date('Y-m-d H:i:s'));
      $this->attributes['updated_at']=date('Y-m-d H:i:s');
   } 
   
}
