<?php

namespace App\Models\Posts;

use Illuminate\Database\Eloquent\Model;

class Post extends Model
{
    protected $fillable = [ 
       'user_id',
       'description',
       'tagged_user'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function tagged() {
        return $this->belongsToMany('App\Models\Posts\TaggedUser');
    }

    public function images() {
        return $this->hasMany('App\Models\Posts\PostImage');
    }

    public function user() {
        return $this->belongsTo('App\Models\Customers\Customer')->select('id','first_name','last_name','email','phone_code','phone','image');
    }

    public function rection() {
        return $this->hasMany('App\Models\Posts\PostReaction');
    }

    public function is_liked() {
        return $this->belongsTo('App\Models\Posts\PostReaction','id','post_id')->select('id','user_id','post_id','reaction');
    }

    public function clap() {
        return $this->hasMany('App\Models\Posts\PostReaction')->where('reaction','clap');
    }

    public function love() {
        return $this->hasMany('App\Models\Posts\PostReaction')->where('reaction','love');
    }

    public function like() {
        return $this->hasMany('App\Models\Posts\PostReaction')->where('reaction','like');
    }

    public function taggedUser() {
        return $this->hasMany('App\Models\Posts\TaggedUser')->with('user');
    }

}
