<?php

namespace App\Models\Posts;

use Illuminate\Database\Eloquent\Model;

class PostImage extends Model
{
    protected $fillable = [ 
       'post_id',
       'image'
    ];

    protected $appends = [
        'small',
        'medium',
        'large',
        'original'
    ];

    protected $hidden = [
        'image',
        'created_at', 
        'updated_at'
   ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function getSmallAttribute()
    {
        $value = $this->getAttributeValue('image');
        $target = "../storage/post/thumb/small/".$value;
        return image_to_base64($target);
    }

    public function getMediumAttribute()
    {
        $value = $this->getAttributeValue('image');
        $target = "../storage/post/thumb/medium/".$value;
        return image_to_base64($target);
    }

    public function getLargeAttribute()
    {
        $value = $this->getAttributeValue('image');
        $target = "../storage/post/thumb/large/".$value;
        return image_to_base64($target);
    }

    public function getOriginalAttribute()
    {
        $value = $this->getAttributeValue('image');
        $target = "../storage/post/".$value;
        return image_to_base64($target);
    }

}
