<?php

namespace App\Models\Products;

use Illuminate\Database\Eloquent\Model;

class Review extends Model
{
    

    protected $fillable = [ 
        'id',     
        'customer_id', 
        'product_id', 
        'rating',
        'review',
        'status',
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function product() {
        return $this->belongsTo('App\Models\Products\Product','product_id')->with('vendor');
    }

    public function customer() {
        return $this->belongsTo('App\Models\Customers\Customer','customer_id',);
    }

}
