<?php

namespace App\Models\Providers;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class FollowUpMessage extends Model
{
    protected $table = 'follow_up_messages';

    protected $fillable = [
        'appointment_id ', 
        'customer_id', 
        'provider_id', 
        'time', 
        'message', 
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

   public function customer(){        
        return $this->belongsTo('App\Models\Customers\Customer', 'customer_id','id');
   }

   public function provider(){        
        return $this->belongsTo('App\Models\Providers\Provider', 'provider_id','id');
   }

}
