<?php

namespace App\Models\Providers;

use Illuminate\Auth\Authenticatable;
use Illuminate\Contracts\Auth\Access\Authorizable as AuthorizableContract;
use Illuminate\Contracts\Auth\Authenticatable as AuthenticatableContract;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Laravel\Lumen\Auth\Authorizable;

use Illuminate\Notifications\Notifiable;
use App\Models\Customers\Address;
use App\Models\Customers\Jobs;


class ProviderDocumentFilesPendingApprove extends Model implements AuthenticatableContract, AuthorizableContract
{
    use Authenticatable, Authorizable, HasFactory, Notifiable;

    protected $table = 'provider_document_files_pending_approve';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'provider_license_id',
        'file',
        'type',
        'document_type'
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'password',
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

   public function getFileAttribute ($value) 
   {
         if(!empty($this->attributes['document_type']) && $this->attributes['document_type'] == "license"){
            $directoryName = "providerLicenseFiles";
            // return  $providerProfilePresignedUrl = presignedUrl($directoryName,$value);
            return  $providerProfilePresignedUrl = $value;
         }
         elseif(!empty($this->attributes['document_type']) && $this->attributes['document_type'] == "certification"){
            $directoryName = "providerAdditionalCertifications";
            return  $providerProfilePresignedUrl = presignedUrl($directoryName,$value);
         }
         elseif(!empty($this->attributes['document_type']) && $this->attributes['document_type'] == "fbi_background"){
            $directoryName = "providerFbiBackgroundFiles";
            return  $providerProfilePresignedUrl = presignedUrl($directoryName,$value);
         }
         elseif(!empty($this->attributes['document_type']) && $this->attributes['document_type'] == "child_abuse"){
            $directoryName = "providerChildAbuseFiles";
            return  $providerProfilePresignedUrl = presignedUrl($directoryName,$value);
         }
         elseif(!empty($this->attributes['document_type']) && $this->attributes['document_type'] == "liability_insurance"){
            $directoryName = "providerLiabilityInsuranceFiles";
            return  $providerProfilePresignedUrl = presignedUrl($directoryName,$value);
         }
         else{
            return $value;
         }
         
    } 
}
