<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Model;
use App\Models\Users\User;

class Address extends Model
{
    protected $table = 'addresses';

    protected $fillable = [
        'user_type', 
        'street_address', 
        'street_name',
         'apartment_number', 
         'state',
         'city', 
         'location', 
         'landmark', 
         'pincode',
          'user_id', 
          'default_address'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    /**
     * Get all the Service & category
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function User() {
        
        return $this->belongsTo(User::class, 'id', 'user_id');
    }
}
