<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Model;

class Jobs extends Model
{
    protected $table = 'job_tracking';
    protected $fillable = [
        'booking_id', 'user_id', 'contractor_id', 'job_started', 'job_end', 'status', 'reason'
    ];

    public function contractor() {
        return $this->belongsTo(Contractor::class, 'contractor_id');
    }

    public function user(){
    	return $this->belongsTo(User::class, 'user_id');
    }

    public function booking(){
    	return $this->belongsTo(Booking::class, 'booking_id');
    }
}
