<?php

namespace App\Models\Users;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;

class Oauth extends Model
{
    use HasFactory, Notifiable;

    protected $table = 'oauth_users';
    public $timestamps = false;
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'user_id', 'user_fk', 'role_fk', 'username', 'password', 'scope','is_deleted','email'
    ];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [
        'password','created_at','updated_at'
    ];

     public function adminUser(){        
        return $this->belongsTo('App\Models\Users\User', 'user_fk','id');
    }

    public function userRole(){        
        return $this->belongsTo('App\Models\Roles\Role', 'role_fk','id');
    }

}
