<?php

namespace App\Models\Wallets;

use Illuminate\Database\Eloquent\Model;

class Wallet extends Model
{
    protected $fillable = [ 
       'product_id',
       'user_id',
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    public function product() {
        return $this->belongsTo('App\Models\Products\Product')->with('images','categories','subcategories','variants','brand');
    }

    public function user() {
        return $this->belongsTo('App\Models\Customers\Customer');
    }

    

}
