<?php
use Illuminate\Support\Facades\App;
    
$lang = 'en';
if(!empty($_SERVER['HTTP_LOCALE'])){
    $lang = $_SERVER['HTTP_LOCALE'];
}


if(!empty($lang) && $lang == 'es')
{
    return [
        /*
        |--------------------------------------------------------------------------
        | Third Party Services
        |--------------------------------------------------------------------------
        |
        | This file is for storing the credentials for third party services such
        | as Stripe, Mailgun, SparkPost and others. This file provides a sane
        | default location for this type of information, allowing packages
        | to have a conventional place to find your various credentials.
        |
        */
        'mailgun' => [
            'domain' => env('MAILGUN_DOMAIN'),
            'secret' => env('MAILGUN_SECRET'),
        ],
    
       
        'PRODUCT_PREFIX' =>  'WALL',
        
        'SUCCESS_STATUS' => 'success',
        'ERROR_STATUS' => 'error',
        'SOMETHING_WENT_WRONG' => 'Algo salió mal!',
        'PASSWORD_REGEX' => 'La contraseña debe tener al menos una minúscula, una mayúscula, un dígito y un carácter especial!',
        'PHONE_REGEX' => 'Ingrese un número de móvil numérico válido!',
        'USER_NOT_FOUND' => 'Lo sentimos, no hay usuarios encontrados!',    
        'USER_LISTING' => 'Listado de usuarios!',    
        'USER_DETAILS' => 'Detalles de los usuarios!',    
        'USER_TOTAL' => 'Número total de usuarios',
        'USER_REGISTER' => 'El usuario se ha registrado correctamente!' ,
        'INVALID_TOKEN' => 'Token no válido, inténtalo de nuevo.',  
        'TOKEN_EXPIRED' => 'Tu token ha caducado, inténtalo de nuevo.',
        'LABEL_LIST' => 'Todas las etiquetas se han incluido correctamente.',
        'LABEL_NOT_FOUND' => 'Etiqueta no encontrada!.',
        'INVALID_URL' => 'URL no válida, inténtelo de nuevo.',  
        'OTP_EXPIRED' => 'Tu otp ha caducado, inténtalo de nuevo.', 
        'LANGUAGE_NOT_FOUND' => 'Idioma no encontrado!',
        'LANGUAGE_LIST' => 'Todos los idiomas se han incluido correctamente.',
        'RACE_NOT_FOUND' => 'Raza no encontrada!',
        'RACE_LIST' => 'Todas las razas se han incluido correctamente.',
        'ETHNICITY_NOT_FOUND' => 'Etnia no encontrada!',
        'ETHNICITY_LIST' => 'Todas las etnias se han incluido correctamente.',
        'RELIGIOUS_NOT_FOUND' => 'Religioso no encontrado!',
        'RELIGIOUS_LIST' => 'Todos los religiosos se han incluido correctamente.',
        'RELATIONSHIP_NOT_FOUND' => 'Relación no encontrada!',
        'RELATIONSHIP_LIST' => 'Todas las relaciones se han incluido correctamente.',
        'INTAKE_QUESTION_OPTIONS_NOT_FOUND' => 'No se encontraron las opciones de la pregunta de admisión!',
        'INTAKE_QUESTION_OPTIONS_LIST' => 'No se encontraron las opciones de la pregunta de admisión.',
        'SPECIALIZATION_NOT_FOUND' => 'Especialización no encontrada!',
        'SPECIALIZATION_LIST' => 'Todas las especializaciones se han incluido exitosamente.',
        'ROOM_LIST' => 'Toda la lista de habitaciones se ha incluido correctamente.',
        'CHAT_MESSAGE_SENT' => 'El mensaje de chat se ha enviado exitosamente.',
        'CHAT_MESSAGES_LIST' => 'Los mensajes de chat se han enumerado correctamente.',
        'ROOM_NOT_EXISTS' => 'La habitación no existe.',
        'ROOM_DELETE' => 'La habitación ha sido eliminada.',      
        'STATE_NOT_FOUND' => '¡Estado no encontrado!',
        'STATE_LIST' => 'Todos los estados se han enumerado con éxito.',


        'PROVIDER_API' => [
            'PROVIDER_OTP_EXPIRE_TIME' => 300, // in second
            'FORGOT_PASS_OTP_EXPIRE_TIME' => 3, // in minute
            'MESSAGE' => [
                'SUCCESS_STATUS' => 'success',
                'ERROR_STATUS' => 'error',
                'SOMETHING_WENT_WRONG' => 'Algo salió mal, inténtelo de nuevo más tarde!',
                'PROVIDER_REGISTER_STEP_1' => 'El proveedor se ha registrado correctamente paso 1!' ,
                'PROVIDER_REGISTER_STEP_2' => 'El proveedor se ha registrado correctamente paso 2!' ,
                'PROVIDER_REGISTER_STEP_2_UPDATE' => 'El proveedor se ha actualizado correctamente, paso 2!' ,
                'PROVIDER_REGISTER_STEP_3' => 'El proveedor se ha registrado correctamente paso 3!' ,
                'PROVIDER_REGISTER_STEP_3_UPDATE' => 'El proveedor se ha actualizado correctamente, paso 3!' ,
                'PROVIDER_REGISTER_STEP_4' => 'El proveedor se ha registrado correctamente paso 4!' ,
                'PROVIDER_REGISTER_STEP_4_UPDATE' => 'El proveedor se ha actualizado correctamente, paso 4!' ,
                'PROVIDER_PROFESSIONAL_REFERENCE' => 'Se ha agregado referencia profesional !' ,
                'PROVIDER_REGISTER_STEP_5' => 'El proveedor se ha registrado correctamente paso 5!' ,
                'PROVIDER_REGISTER_STEP_5_UPDATE' => 'El proveedor se ha actualizado correctamente, paso 5!' ,
                'PROVIDER_LOGIN' => 'La proveedor se ha conectado correctamente!' ,
                'WRONG_OTP' => 'El código de dos factores que ha introducido no coincide!' ,
                'OTP_EXPIRE' => 'El código de dos factores ha expirado!' ,
                'PROVIDER_NOT_FOUND' => 'Lo sentimos, no hay proveedores encontrados!', 
                'PROVIDER_DETAILS' => 'Detalles del proveedor!', 
                'PROVIDER_UPDATE_STEP_1' => 'El proveedor se ha actualizado correctamente paso 1!!', 
                'NOTEXSIST_EMAIL' => 'La identificación de correo electrónico que ingresó no está registrada con nosotros. Por favor, verifique e ingrese la identificación de correo electrónico registrada.',
                'VALID_EMAIL' => 'El correo electrónico debe ser válida.',
                'DEAR'  => 'Querida ',
                'EMAIL_OTP' => 'Su OTP de verificación de correo electrónico es',
                'EMAIL_OTP_SENT' => 'OTP se ha enviado a un correo electrónico, ¡compruébalo!',
                'OTP_VERIFY'=>'Otp verificada exitosamente',
                'INVALID_OTP' => 'OTP no válida. Inténtalo de nuevo',
                'OTP_EXPIRED' => 'OTP ha caducado!',
                'MOBILE_NUMBER_OTP_SENT' => 'Se ha enviado OTP al número de móvil, ¡compruébelo!',
                'PASSWORD_REGEX' => 'La contraseña debe tener al menos una minúscula, una mayúscula, un dígito y un carácter especial!',
                'INVALID_USER' => 'Usuario inválida!',
                'PASSWORD_UPDATED' => 'Nueva contraseña actualizada correctamente!',
                'BIRTH_DATE'=> 'La fecha de nacimiento debe ser mayor o igual a 18 años.',
                'ISSUED_DATE'=> 'La fecha de emisión debe ser menor o igual a la fecha actual',
                'EXPIRATION_DATE'=> 'La fecha de vencimiento debe ser mayor que la fecha actual',
                'PROFILE_FILE_EXTENSION'=> 'Solo se permiten archivos jpg, jpeg, png.',
                'FILE_EXTENSION'=> 'Solo se permiten archivos jpg, jpeg, png y pdf.',
                'CLEARANCE_DATE'=> 'La fecha de liquidación debe ser menor o igual a la fecha actual',
                'PROVIDER_LISTING' => 'Listado de proveedores!',
                'PROVIDER_PROFILE_APPROVE' => 'El perfil del proveedor ha sido aprobado exitosamente.',
                'PROVIDER_PROFILE_REJECT' => 'El perfil del proveedor ha sido rechazado exitosamente.',
                'PROVIDER_APPROVE' => 'El proveedor ha sido aprobado exitosamente.',
                'PROVIDER_REJECT' => 'El proveedor ha sido rechazado correctamente.', 
                'PROVIDER_DELETED' => 'El proveedor se ha eliminado correctamente.',
                'PROVIDER_STATUS_ACTIVE' => 'Proveedor activo exitosamente.',
                'PROVIDER_STATUS_INACTIVE'=>'Proveedor inactivo exitosamente.',
                'PROVIDER_EMAIL_VERIFIED'=>'Su correo electrónico verificado correctamente!', 
                'TOKEN_EXPIRED'=>'Token caducado!', 
                'PROFILE_UPDATED' => 'Los detalles del proveedor se han actualizado correctamente.',
                'PROVIDER_AVAILABILITY' => 'La disponibilidad se ha creado exitosamente.' ,
                'AVAILABILITY_LIST' => 'La disponibilidad se ha incluido correctamente.' ,
                'START_DATE' => 'La fecha de inicio debe ser mayor o igual que la fecha actual.' ,
                'END_DATE' => 'La fecha de finalización debe ser mayor o igual que la fecha de inicio.' ,
                'PROVIDER_TIMEOFF' => 'El tiempo libre se ha creado exitosamente.' ,
                'PROVIDER_TIMEOFF_UPDATED' => 'El tiempo libre se ha actualizado correctamente.' ,
                'TIME_OFF_NOT_FOUND' => 'Tiempo libre no encontrado!',
                'PROVIDER_TIME_OFF_LIST' => 'El tiempo libre se ha incluido correctamente.' ,
                'PROVIDER_TIME_OFF_DELETED' => 'El tiempo libre se ha eliminado correctamente.' ,
                'PROVIDER_AVAILABILITY_UPDATED' => 'La disponibilidad se ha actualizado correctamente.' ,
                'PROVIDER_AVAILABILITY_DELETED' => 'La disponibilidad se ha eliminado correctamente.' ,
                'FIRST_HALF_START_TIME' => 'Se requiere la hora de inicio de la primera mitad.' ,
                'FIRST_HALF_END_TIME' => 'Se requiere la hora de finalización de la primera mitad.' ,
                'SECOND_HALF_START_TIME' => 'Se requiere la hora de inicio de la segunda mitad.' ,
                'SECOND_HALF_END_TIME' => 'Se requiere la hora de finalización de la segunda mitad.' ,
                'END_TIME_VALIDATION' => 'La hora de finalización debe ser mayor que la hora de inicio.' ,
                'FIRST_HALF_CHECK_AVAILABILITY' => 'Disponibilidad del primer semestre ya creada para esta fecha.' ,
                'SECOND_HALF_CHECK_AVAILABILITY' => 'Disponibilidad de la segunda mitad ya creada para esta fecha.' ,
                'PROVIDER_APPOINTMENT_LIST' => 'Las citas se han incluido correctamente.' ,
                'PROVIDER_APPOINTMENT_NOT_FOUND' => 'Cita no encontrada!',
                'APPOINTMENT_NOT_FOUND' => 'Lo siento, no se encontró una cita!',
                'APPOINTMENT_DETAILS' => 'Detalles de la cita!', 
                'PROVIDER_RATING_REVIEWS' => 'Las calificaciones y las reseñas se han incluido correctamente!',                 
                'PIN_NOT_MATCH' => 'Tu pin no coincide, por favor inténtalo de nuevo.',
                'PROVIDER_PIN_MATCH' => '¡El pin coincide con éxito!', 
                'PROVIDER_SET_PIN' => '¡El pin se ha establecido correctamente!',
                'PROVIDER_CHANGE_PIN' => '¡El pin ha sido cambiado con éxito!',
                'CURRENT_PIN_WRONG' => '¡El pin actual ingresado es incorrecto!',
                'PROVIDER_RESET_PIN' => '¡El pin se ha restablecido con éxito!',              
                'WRONG_EMAIL' => '¡Este correo electrónico no existe!',                
                'CONSUMER_UPDATE_SESSION_SUCCESS' => 'Actualización del consumidor sesión restante con éxito!',
                


            ]

        ],

        'CUSTOMER_API' => [
            'VALIDATION' => [
                'APP_REQUIRED' => 'El campo de la aplicación es obligatorio.',
                'PLATFORM_REQUIRED' => 'El campo de la plataforma es obligatorio.',
                'EMAIL_REQUIRED' => 'El campo de correo electrónico es obligatorio.',
                'EMAIL_UNIQUE' => 'el email ya ha sido registrado.',
                'FIRST_NAME_REQUIRED' => 'El campo de nombre es obligatorio.',
                'LAST_NAME_REQUIRED' => 'El campo del apellido es obligatorio.',
                'BIRTH_DATE_REQUIRED' => 'El campo de fecha de nacimiento es obligatorio.',
                'BIRTH_DATE_FORMAT' => 'La fecha de nacimiento no es una fecha válida..',
                'BIRTH_DATE_18' =>  'Las consumidoras deben tener un mínimo de 18 años de edad.',
                'GENDER_REQUIRED' => 'El campo de género es obligatorio.',
                'PHONE_CODE_REQUIRED' => 'El campo del código de teléfono es obligatorio.',
                'PHONE_REQUIRED' => 'El campo de teléfono es obligatorio.',
                'PHONE_UNIQUE' => 'El teléfono ya ha sido tomado.',
                'ADDRESS_REQUIRED' => 'El campo de dirección es obligatorio.',
                'RELATIONSHIP_REQUIRED' => 'El campo de relación es obligatorio.',
                'PASSWORD_REQUIRED' => 'El campo de contraseña es obligatorio.',
                'PASSWORD_REGEX' => 'La contraseña debe tener al menos una minúscula, una mayúscula, un dígito y un carácter especial.',
                'CONFIRM_PASSWORD_REQUIRED' => 'El campo de confirmación de contraseña es obligatorio.',
                'CONFIRM_PASSWORD_SAME' => 'La contraseña de confirmación y la contraseña deben coincidir.',
                'PROVIDER_PREFERENCE_REQUIRED' => 'El campo de preferencia del proveedor es obligatorio.',
                'PROVIDER_PREFERENCE_IN' => 'La preferencia del proveedor seleccionado no es válida.',
                'EMAIL_EXISTS' => 'El ID de correo electrónico que ingresó no está registrado con nosotros. Verifique e ingrese la identificación de correo electrónico registrada.',
                'PHONE_EXISTS' => 'El número de teléfono que ingresó no está registrado con nosotros. Verifique e ingrese el número de teléfono registrado.',
                'EMAIL_REQUIRED_WITHOUT' => 'El campo de correo electrónico es obligatorio cuando el teléfono no está presente.',
                'OTP_REQUIRED' => 'El campo otp es obligatorio.',
                'CURRENT_PASSWORD_REQUIRED' => 'El campo de contraseña actual es obligatorio.',
                'NEW_PASSWORD_REQUIRED' => 'El campo de la nueva contraseña es obligatorio.',
                'CHANGE_CONFIRM_PASSWORD_SAME' => 'La contraseña de confirmación y la nueva contraseña deben coincidir.',
                'PROVIDER_ID_REQUIRED' => 'El campo de identificación del proveedor es obligatorio.',
                'DATE_REQUIRED' => 'The date field is required.',
                'DATE_FORMAT' => 'La fecha no es una fecha válida.',
                'APPOINTMENT_DATE_REQUIRED' => 'El campo de la fecha de la cita es obligatorio.',
                'APPOINTMENT_DATE_FORMAT' => 'La fecha de la cita no es una fecha válida.',
                'APPOINTMENT_TIME_REQUIRED' => 'El campo de hora de la cita es obligatorio.',
                'ID_REQUIRED' => 'El campo de identificación es obligatorio.',
                'CANCEL_REASON_REQUIRED' => 'El campo de motivo de cancelación es obligatorio.',
                'PHONE_NO_REQUIRED' => 'El teléfono ningún campo es obligatorio.',
                'EMERGENCY_RELATIONSHIP_REQUIRED' => 'El campo de relación es obligatorio.',

            ],
            'CUSTOMER_OTP_EXPIRE_TIME' => 300, // in second
            'FORGOT_PASS_OTP_EXPIRE_TIME' => 300, // in seconds
            'MESSAGE' => [
              'SUCCESS_STATUS' => 'success',
              'ERROR_STATUS' => 'error',
              'HI' => 'Hola',
              'SOMETHING_WENT_WRONG' => '¡Algo salió mal, inténtalo de nuevo más tarde!',
              'NOT_FOUND'=> 'Ningún record fue encontrado.',
              'PASSWORD_REGEX' => 'La contraseña debe tener al menos una minúscula, una mayúscula, un dígito y un carácter especial!',
              'CUSTOMER_LOGIN' => 'El cliente ha iniciado sesión correctamente!',
              'WRONG_OTP' => '¡El código de dos factores que ha introducido no coincide!',
              'OTP_EXPIRE' => '¡El código de dos factores ha expirado.' ,
              'CUSTOMER_REGISTER_STEP_1' => 'El cliente se ha registrado correctamente en los pasos 1 y 2!',
              'CUSTOMER_REGISTER_STEP_3' => 'El cliente se ha registrado correctamente paso 3!',
              'CUSTOMER_REGISTER_STEP_4' => 'El cliente se ha registrado correctamente paso 4!',
              'PROFILE_FILE_EXTENSION'=> 'Solo se permiten archivos jpg, jpeg, png.',
              'BIRTH_DATE'=> 'La fecha de nacimiento debe ser mayor o igual a 18 años.',
              'NOTEXSIST_EMAIL' => 'La identificación de correo electrónico que ingresó no está registrada con nosotros. Por favor, verifique e ingrese la identificación de correo electrónico registrada.',
              'NOTEXSIST_PHONE' => 'El número de teléfono que ingresó no está registrado con nosotros. Verifique e ingrese el número de teléfono registrado.',
              'VALID_EMAIL' => 'El correo electrónico debe ser válida.',
              'DEAR'  => 'Hola ',
              'EMAIL_OTP' => 'Su OTP de verificación de correo electrónico es',
              'EMAIL_OTP_SENT' => 'OTP se ha enviado a un correo electrónico, ¡compruébalo!',
              'MOBILE_NUMBER_OTP_SENT' => 'Se ha enviado OTP al número de móvil, ¡compruébelo!',
              'OTP_EXPIRED' => 'OTP ha caducado!',
              'OTP_VERIFY'=>'Otp verificada exitosamente',
              'INVALID_OTP' => 'OTP no válida. Inténtalo de nuevo',
              'INVALID_USER' => 'Usuario inválida!',
              'PASSWORD_UPDATED' => 'Nueva contraseña actualizada correctamente!',
              'PROVIDER_NOT_FOUND' => 'Lo siento, no se encontró ningún proveedor!', 
              'CUSTOMER_NOT_FOUND' => 'Lo sentimos no se ha encontrado ninguna cliente!',
              'CUSTOMER_DETAILS' => 'Detalles del cliente!', 
              'CUSTOMER_UPDATE_PROFILE' => 'El perfil se ha actualizado correctamente!',  
              'INTAKE_OPTION_REQ' => 'Seleccione al menos una opción.', 
              'CUSTOMER_LISTING' => 'Listado de clientes!',
              'CUSTOMER_COUNT' => 'Cuenta de clientes.',
              'CUSTOMER_STATUS_ACTIVE' => 'Cliente activo exitosamente.',
              'CUSTOMER_STATUS_INACTIVE'=>'Cliente inactivo exitosamente.',
              'CUSTOMER_ARCHIVE'=>'El cliente ha sido archivado exitosamente.',
              'CUSTOMER_DELETED'=>'El cliente ha sido eliminado correctamente.',
              'CUSTOMER_UNARCHIVE'=>'El cliente se ha desarchivado correctamente.',
              'PROFILE_UPDATED' => 'Su perfil se actualizó exitosamente.',
              'RECOMMENDDED_PROVIDERS' => 'Los proveedores recomendados se han incluido correctamente.',
              'PROVIDER_DETAILS' => 'Detalles del proveedor!',
              'ADD_APPOINTMENT' => 'La cita se ha creado exitosamente!',
              'CUSTOMER_APPOINTMENT_LIST' => 'Las citas se han incluido correctamente.',
              'OTHER_PROVIDERS_LIST' => 'Otros proveedores se han incluido exitosamente.',
              'PROVIDER_AVAILABLE_TIME' => 'El tiempo del proveedor se ha incluido correctamente.',
              'UPDATE_EMERGENCY_CONTACT' => 'El contacto de emergencia se ha actualizado correctamente.',
              'ADD_EMERGENCY_CONTACT' => 'El contacto de emergencia se ha agregado exitosamente.',
              'APPOINTMENT_NOT_FOUND' => 'Lo siento, no se encontró una cita!',
              'APPOINTMENT_DETAILS' => 'Detalles de la sesión!', 
              'RESCHEDULE_APPOINTMENT' => 'La cita se ha reprogramado correctamente!',
              'CANCEL_APPOINTMENT' => 'La cita ha sido cancelada exitosamente!',
              'APPOINTMENT_ALREADY_CANCEL' => '¡Ya has cancelado la cita',
              'CUSTOMER_BIRTH_DATE'=> 'La fecha de nacimiento debe ser anterior a la fecha actual.',
              'CUSTOMER_HOME_APPOINTMENT'=> 'Los datos de la página de inicio se han enumerado correctamente.',
              'CHANGE_PROVIDER'=> 'Se ha enviado la solicitud de cambio de proveedor.',
              'JOURNAL_LIST'=> 'El diario se ha incluido correctamente.',
              'JOURNAL_CREATE'=> 'El diario se ha creado exitosamente..',
              'JOURNAL_UPDATE'=> 'El diario ha sido actualizado exitosamente.',
              'JOURNAL_DELETED'=> 'El diario se ha eliminado correctamente.',
              'JOURNAL_NOT_FOUND'=> '¡Diario no encontrado.',
              'JOURNAL_DETAILS'=> 'Detalle del diario.',
              'PAYMENT_HISTORY_LIST'=> 'El historial de pagos se ha incluido correctamente.',
              'PAYMENT_HISTORY_NOT_FOUND'=> 'No se encontró el historial de pagos.',
              'AUDIO_VIDEO_SESSION_LIST'=> 'Las sesiones de audio y vídeo se han enumerado correctamente.',
              'AUDIO_VIDEO_SESSION_NOT_FOUND'=> '¡Sesiones de audio y vídeo no encontradas.',
              'RATING_REVIEW_CREATE'=> 'La calificación y la revisión se han creado exitosamente.',
              'NOTIFICATION_LIST'=> 'Las notificaciones se han enumerado correctamente.',
              'NOTIFICATION_NOT_FOUND'=> '¡Notificación no encontrada.',
              'APPOINTMENT_ALREADY_CREATED'=> 'Ya tienes una cita.',
              'NOTIFICATION_SETTING_NAME'=> 'Se proporcionó un nombre de configuración incorrecto.',
              'NOTIFICATION_SETTING'=> 'Se actualizó la configuración de notificaciones.',
              'NOTIFICATION_SETTING_LIST'=> 'La configuración de notificación se ha enumerado correctamente.',
              'NOTIFICATION_LIST_NOT_FOUND'=> '¡Configuración de notificación no encontrada',
              'CUSTOMER_UPDATE_INTAKE_QUESTION'=> 'Las preguntas de admisión se han actualizado.',
              'QUESTION_ANSWER_LIST'=> 'Las preguntas de admisión se han enumerado correctamente.',
              'QUESTION_ANSWER_NOT_FOUND'=> 'Preguntas de admisión no encontradas.',
              'SUBSCRIPTION_PLAN_DETAIL'=> 'detalles del plan.',
              'PLAN_NOT_FOUND'=> 'Plan no encontrado.',
              'PLAN_LIST'=> 'Los planes se han enumerado exitosamente.',
              'ACTIVE_PLAN'=> 'Plan activo enumerado.',
              'CANCEL_PLAN'=> 'El plan ha sido cancelado exitosamente.',
              'TWO_FACTOR_ENABLE'=> 'Se ha habilitado dos factores.',
              'TWO_FACTOR_DISABLE'=> 'Dos factores han sido deshabilitados.',
              'CUSTOMER_JOIN_SESSION'=> '¡El cliente se ha unido a la sesión exitosamente.',
              'NO_SHOW_TIME'=> 'Detalle de límite de tiempo de ausencia.',
              'NO_SHOW_TIME_NOT_FOUND'=> 'Sin horario de presentación no encontrado.',
              'CUSTOMER_EMAIL_VERIFIED'=>'Estimado consumidor, su correo electrónico ha sido verificado exitosamente', 
              'TOKEN_EXPIRED'=>'Estimado consumidor, el token ha caducado', 
              'PAST_APPOINTMENT'=>'Por favor programe una fecha y hora futura', 
              'CUSTOMER_UNBLOCK'=>'El cliente ha sido desbloqueado exitosamente.', 
              'CURRENT_PASSWORD'=>'La nueva contraseña no puede ser la misma que su contraseña actual. Elija una contraseña diferente.', 
              'OLD_PASSWORD_CHECK'=>'Esta es su contraseña anterior, elija una contraseña diferente.', 
              'SUBSCRIPTION_PAYMENT'=>'El pago de la suscripción se ha realizado correctamente.', 
              'SUBSCRIPTION_PAYMENT_FAILED'=>'Pago de suscripción fallido.', 
              'CUSTOMER_SESSION_TOKEN'=>'Ficha de sesión.',
              'CUSTOMER_SAVE_SESSION_DETAIL'=> 'El detalle de la sesión se ha guardado correctamente.', 
              'CUSTOMER_SESSION_END'=> 'La sesión ha terminado.',
              'SESSION_TOKEN_NOT_CREATED'=> 'El proveedor ha marcado como completada esta cita.',
              'APPOINTMENT_TIME'=> 'Únase a la hora programada correcta.',
              'REQUEST_CHANGE_PROVIDER'=> 'Has solicitado cambiar de proveedor por lo que no puedes crear cita.',
              'PROVIDER_REQUEST_SENT'=> 'Ya has solicitado cambiar de proveedor.',
              'CUSTOMER_APPOINTMENT_NOT_FOUND'=> 'Ningún record fue encontrado.',
              'CUSTOMER_PLAN_CHECK'=> 'No tienes plan por lo que no puedes crear la cita.',
              'CUSTOMER_REMAINING_SESSION'=> 'Ha utilizado todas sus sesiones, compre la sesión primero.',
              'CUSTOMER_CHECK_SESSION'=> 'Elija la fecha después de la fecha renovable o compre la sesión primero.',
              'APPOINTMENT_CAN_NOT_CANCEL'=> 'No puedes cancelar esta cita.',
              'APPOINTMENT_CAN_NOT_RESCHEDULE'=> 'No puede reprogramar esta cita.',
              'CUSTOMER_CHANGE_LANGUAGE'=> 'El idioma se ha cambiado exitosamente.',
              'WRONG_CURRENT_PASSWORD' => 'La contraseña actual que ingresó es incorrecta. Por favor, intente con otro.',
              'CANCEL_SUBSCRIPTION' => 'Ya cancelaste la suscripción.',
              'PROVIDER_LICENSE_EXPIRED' => 'La licencia ha caducado del proveedor',                            
              'CONSUMER_ON_GOING_SESSION_RESCHEDULE' => 'No puede reprogramar esta cita.',                            
              'CONSUMER_ON_GOING_SESSION_CANCEL' => 'No puede cancelar esta cita.',
              'APPOINTMENT_CAN_NOT_RESCHEDULE_BEFORE_4HR' => 'Lo siento, pero no se pueden cancelar citas dentro de las próximas 4 horas del horario programado.',
              'APPOINTMENT_CAN_NOT_CANCEL_BEFORE_4HR' => 'Lo siento, pero no se pueden cancelar citas dentro de las próximas 4 horas del horario programado.',
              
            ],
        ],

   
        'USER_API' => [
            'MESSAGE' => [
                'APP_VERSION' =>  'Datos de la última versión de la aplicación.',
                'SUCCESS_STATUS' => 'success',
                'ERROR_STATUS' => 'error',
                'ROLE_STATUS' => 'Se actualizó la función.',
                'PASSWORD_REGEX' => 'La contraseña debe tener al menos una minúscula, una mayúscula, un dígito y un carácter especial!',
                'EMAIL_ALREADY_EXISTS' => 'Ya existe el correo electrónico.', 
                'PHONE_ALREADY_EXISTS' => 'El teléfono ya existe.',
                'VALID_EMAIL' => 'El correo electrónico debe ser válida.',
                'USER_REGISTER' => 'El usuario se ha registrado correctamente!' ,
                'SOMETHING_WENT_WRONG' => 'Algo salió mal!',
                'USER_LISTING' => 'Listado de usuarios!',
                'USER_NOT_FOUND' => 'Lo sentimos, no hay usuarios encontrados!', 
                'USER_DETAILS' => 'Detalles de las usuarias!', 
                'USER_STATUS' => 'La usuario ha sido actualizada.', 
                'NOTEXSIST_EMAIL' => 'La identificación de correo electrónico que ingresó no está registrada con nosotros. Por favor, verifique e ingrese la identificación de correo electrónico registrada.',
                'MAIL_SENT' => 'Se ha enviado un correo electrónico con el enlace para restablecer la contraseña a su correo electrónico. Por favor, descanse la contraseña y vuelva aquí para iniciar sesión.',
                'MAIL_SENT_TO_CHANGE_EMAIL' => 'Se ha enviado un correo electrónico con el enlace de cambio de identificación de correo electrónico a su correo electrónico. Por favor cambie el correo electrónico.',  
                'INVALID_TOKEN' => 'Token no válido, inténtalo de nuevo.',  
                'TOKEN_EXPIRED' => 'Tu token ha caducado, inténtalo de nuevo.',
                'PASSWORD_UPDATED' => 'Has cambiado tu contraseña exitosamente.',
                'FAQ_ADDED' => 'Las preguntas frecuentes se han agregado exitosamente.',
                'FAQ_NOT_FOUND' => 'Página de preguntas frecuentes no encontrada !',
                'FAQ_UPDATED' => 'Se ha actualizado la página de preguntas frecuentes.',
                'FAQ_STATUS' => 'Se ha actualizado la página de preguntas frecuentes.',
                'USER_DELETED' => 'El usuario ha sido eliminado.',
                'CMS_PAGE_ADDED' => 'La página de Cms se ha agregado exitosamente.',
                'CMS_PAGE_LISTING' => 'Página de Cms listada correctamente.',
                'TEMPLATE_LISTING' => 'Página de Cms listada correctamente.',
                'CMS_PAGE_NOT_FOUND' => 'Página de Cms no encontrada!',
                'CMS_PAGE_DETAILS' => 'Detalle de la página cms!',
                'CMS_PAGES' => 'Todas las páginas de cms se han enumerado exitosamente!',
                'CMS_PAGE_UPDATED' => 'La página de Cms ha sido actualizada.',
                'CMS_STATUS' => 'La página de Cms ha sido actualizada.',
                'CMS_PAGE_DELETED' => 'Cms ha sido eliminado exitosamente.',
                'DID_YOU_KNOW_LISTING' => '¿Sabías que aparece correctamente',
                'DID_YOU_KNOW_ADDED' => '¿Sabías que se ha agregado correctamente',
                'DID_YOU_KNOW_NOT_FOUND' => '¿Sabías que no se encontró la página',
                'DID_YOU_KNOW_DETAILS' => 'Detalle de la página cms!',
                'DID_YOU_KNOW_UPDATED' => '¿Sabías que la página se ha actualizado',
                'DID_YOU_KNOW_STATUS' => '¿Sabías que la página se ha actualizado',
                'DID_YOU_KNOW_DELETED' => '¿Sabías que se ha eliminado correctamente',
                'PLAN_NOT_FOUND'=> 'Planes no encontrados.',
                'PLAN_LISTING'=>'Los planes se han incluido correctamente.',
                'PLAN_STATUS_ACTIVE' => 'Plan activo exitosamente.',
                'PLAN_STATUS_INACTIVE'=>'Planificar inactivo exitosamente.',
                'PLAN_DELETED'=>'El plan se ha eliminado correctamente.',
                'PLAN_ADDED' => 'El plan se ha agregado correctamente.',
                'PLAN_NOT_FOUND' => 'No se encontró la página del plan!',
                'PLAN_DETAILS' => 'Detalle del plan!',
                'PLAN_UPDATED' => 'El plan se ha actualizado.',
                'USER_STATUS_ACTIVE' => 'Usuario activo exitosamente.',
                'USER_STATUS_INACTIVE' => 'Usuario inactivo exitosamente.',

    
                'REPORT_ADDED' => 'Gracias por informar.',
                
                
            ]
        ],

        'EVERGREEN_API' => [
            'MESSAGE' => [                
                'SUCCESS_STATUS' => 'Éxito',
                'ERROR_STATUS' => 'error',
                'EVERGREEN_STATUS_ACTIVE' => 'Evergreen activo con éxito.',
                'EVERGREEN_STATUS_INACTIVE'=>'Evergreen inactiva con éxito.',
                
            ]
        ],

        'BUSINESS_API' => [
            'VALIDATION' => [
                'BUSINESS_NAME_REQUIRED'=>'El campo Nombre comercial es obligatorio.',
                'BUSINESS_ID'=>'El campo ID de empresa es obligatorio.',
                'ACCESS_CODE'=>'El campo Código de acceso es obligatorio.',
                'MEMBERSHIP'=>'El plan de membresía requerido',
                'BUSINESS_DOMAIN'=>'El dominio empresarial requerido',
                'BUSINESS_DOMAIN_UNIQUE '=>'Estos dominios ya existen.',
            ],
            'MESSAGE' => [                
                'SUCCESS_STATUS' => 'Éxito',
                'SUCCESS_STORE' => 'Éxito ! La empresa se ha creado con éxito. ',
                'SUCCESS_UPDATE' => 'Éxito ! La empresa se ha actualizado correctamente',
                'ERROR_STATUS' => 'error',
                'BUSINESS_STATUS_ACTIVE' => 'Negocio activo con éxito.',
                'BUSINESS_STATUS_INACTIVE'=>'Negocio inactivo con éxito.',
                
            ]
        ],
    ];
    
}
else
{
    return [
        /*
        |--------------------------------------------------------------------------
        | Third Party Services
        |--------------------------------------------------------------------------
        |
        | This file is for storing the credentials for third party services such
        | as Stripe, Mailgun, SparkPost and others. This file provides a sane
        | default location for this type of information, allowing packages
        | to have a conventional place to find your various credentials.
        |
        */
        'mailgun' => [
            'domain' => env('MAILGUN_DOMAIN'),
            'secret' => env('MAILGUN_SECRET'),
        ],
    
       
        'PRODUCT_PREFIX' =>  'WALL',
        
        'SUCCESS_STATUS' => 'success',
        'ERROR_STATUS' => 'error',
        'SOMETHING_WENT_WRONG' => 'Something went wrong!',
        'PASSWORD_REGEX' => 'Password must be at least one lowercase, one uppercase, one digit and a special character!',
        'PHONE_REGEX' => 'Enter valid numeric mobile number!',
        'USER_NOT_FOUND' => 'Sorry no users founds!',    
        'USER_LISTING' => 'Users listing!',    
        'USER_DETAILS' => 'Users details!',    
        'USER_NOT_FOUND' => 'Sorry no users founds!',
        'USER_TOTAL' => 'Total number of users',
        'USER_REGISTER' => 'User has been successfully registered!' ,
        'INVALID_TOKEN' => 'Invalid token please try again',  
        'TOKEN_EXPIRED' => 'Your token is expired please try again',
        'LABEL_LIST' => 'All labels have been listed successfully.',
        'LABEL_NOT_FOUND' => 'Label not found!.',
        'INVALID_URL' => 'Invalid url please try again',  
        'OTP_EXPIRED' => 'Your otp is expired please try again', 
        'LANGUAGE_NOT_FOUND' => 'Language not found!',
        'LANGUAGE_LIST' => 'All languages have been listed successfully.',
        'RACE_NOT_FOUND' => 'Race not found!',
        'RACE_LIST' => 'All Race have been listed successfully.',
        'ETHNICITY_NOT_FOUND' => 'Ethnicity not found!',
        'ETHNICITY_LIST' => 'All Ethnicity have been listed successfully.',
        'RELIGIOUS_NOT_FOUND' => 'Religious not found!',
        'RELIGIOUS_LIST' => 'All Religious have been listed successfully.',
        'RELATIONSHIP_NOT_FOUND' => 'Relationship not found!',
        'RELATIONSHIP_LIST' => 'All Relationship have been listed successfully.',
        'INTAKE_QUESTION_OPTIONS_NOT_FOUND' => 'Intake question options not found!',
        'INTAKE_QUESTION_OPTIONS_LIST' => 'All Intake question options have been listed successfully.',
        'SPECIALIZATION_NOT_FOUND' => 'Specialization not found!',
        'SPECIALIZATION_LIST' => 'All specialization have been listed successfully.',
        'LANGUAGE_NOT_FOUND' => 'Language not found!',
        'LANGUAGE_LIST' => 'All languages have been listed successfully.',
        'ROOM_LIST' => 'All room list have been listed successfully.',
        'CHAT_MESSAGE_SENT' => 'Chat message has been sent successfully.',
        'CHAT_MESSAGES_LIST' => 'Chat messages have been listed successfully.',
        'ROOM_NOT_EXISTS' => 'Room does not exist.',
        'ROOM_DELETE' => 'Room has been deleted.',        
        'STATE_NOT_FOUND' => 'State not found!',
        'STATE_LIST' => 'All state have been listed successfully.',
        'LOGIN_ATTEMPT' => 5, 
        'LOGIN_ATTEMPT_IP_COUNT' => 6,
        'BLOCK_TIME' => 300,
        'LAST_PASSWORD_COUNT' => 5,



        'PROVIDER_API' => [
            'PROVIDER_OTP_EXPIRE_TIME' => 300, // in second
            'FORGOT_PASS_OTP_EXPIRE_TIME' => 3, // in minute
            'AVAILABILITY_TIME_INTERVEL' => 2700, // in second
            'MESSAGE' => [
                'SUCCESS_STATUS' => 'success',
                'ERROR_STATUS' => 'error',
                'SOMETHING_WENT_WRONG' => 'Something went wrong plase try again later!',
                'PROVIDER_REGISTER_STEP_1' => 'Provider has been successfully registered demographic!' ,
                'PROVIDER_REGISTER_STEP_2' => 'Provider has been successfully registered license!' ,
                'PROVIDER_REGISTER_STEP_2_UPDATE' => 'Provider has been successfully updated license!' ,
                'PROVIDER_REGISTER_STEP_3' => 'Provider has been successfully registered certification!' ,
                'PROVIDER_REGISTER_STEP_3_UPDATE' => 'Provider has been successfully updated certification!' ,
                'PROVIDER_REGISTER_STEP_4' => 'Provider has been successfully registered verification!' ,
                'PROVIDER_REGISTER_STEP_4_UPDATE' => 'Provider has been successfully updated verification!' ,
                'PROVIDER_PROFESSIONAL_REFERENCE' => 'Professional reference has been added!' ,
                'PROVIDER_REGISTER_STEP_5' => 'Provider has been successfully registered speciality, An email verification link is shared on your registered email, please verify.' ,
                'PROVIDER_REGISTER_STEP_5_UPDATE' => 'Provider has been successfully updated speciality!' ,
                'PROVIDER_LOGIN' => 'Provider has been successfully logged In!' ,
                'WRONG_OTP' => 'The two factor code you have entered does not match!' ,
                'OTP_EXPIRE' => 'The two factor code has expired!' ,
                'PROVIDER_NOT_FOUND' => 'Sorry no providers founds!', 
                'PROVIDER_DETAILS' => 'Provider details!', 
                'PROVIDER_UPDATE_STEP_1' => 'Provider has been successfully updated demographic!', 
                'NOTEXSIST_EMAIL' => 'The email Id you entered is not registered with us. Please check and enter registered email id.',
                'NOTEXSIST_PHONE' => 'The phone number you entered is not registered with us. Please check and enter registered phone number.',
                'VALID_EMAIL' => 'Email shluld be valid.',
                'DEAR'  => 'Dear ',
                'EMAIL_OTP' => 'Your email verification OTP is',
                'EMAIL_OTP_SENT' => 'OTP has been sent to email please check!',
                'MOBILE_NUMBER_OTP_SENT' => 'OTP has been sent to mobile number please check!',
                'OTP_VERIFY'=>'Otp verified successfully',
                'INVALID_OTP' => 'Invalid OTP. Please try again',
                'OTP_EXPIRED' => 'OTP has been expired!',
                'PASSWORD_REGEX' => 'Password must be at least one lowercase, one uppercase, one digit and a special character!',
                'INVALID_USER' => 'Invalid User!',
                'WRONG_CURRENT_PASSWORD' => 'The current password you entered is wrong. Please try another.',
                'PASSWORD_UPDATED' => 'New Password updated successfully!',
                'BIRTH_DATE'=> 'Birth date should be greater than or equal to 18 years.',
                'ISSUED_DATE'=> 'Issue date should be less than or equal to current date',
                'EXPIRATION_DATE'=> 'Expiration date should be greater than current date',
                'PROFILE_FILE_EXTENSION'=> 'Only jpg, jpeg, png file is allowed.',
                'FBI_BACKGROUND_FILE_EXTENSION'=> 'Only jpg, jpeg, png and pdf files are allowed for fbi background.',
                'FBI_BACKGROUND_CLEARANCE_DATE'=> 'Fbi background clearance date should be less than or equal to current date',
                'CHILD_ABUSE_CLEARANCE_DATE'=> 'Child abuse clearance date should be less than or equal to current date',
                'CHILD_ABUSE_FILE_EXTENSION'=> 'Only jpg, jpeg, png and pdf files are allowed for child abuse.',
                'LIABILITY_INSURANCE_ISSUED_DATE'=> 'Liability insurance issue date should be less than or equal to current date',
                'LIABILITY_INSURANCE_EXPIRATION_DATE'=> 'Liability insurance expiration date should be greater than current date',
                'LIABILITY_INSURANCE_FILE_EXTENSION'=> 'Only jpg, jpeg, png and pdf files are allowed for liability insurance.',
                'CLEARANCE_DATE'=> 'Clearance date should be less than or equal to current date',
                'FILE_EXTENSION'=> 'Only jpg, jpeg, png and pdf files are allowed.',
                'PROVIDER_LISTING' => 'Provider listing!',
                'PROVIDER_PROFILE_APPROVE'=>'Provider profile has been successfully approved.',
                'PROVIDER_PROFILE_REJECT'=>'Provider profile has been successfully rejected.', 
                'PROVIDER_APPROVE'=>'Provider has been successfully approved.',
                'PROVIDER_REJECT'=>'Provider has been successfully rejected.', 
                'PROVIDER_DELETED' => 'Provider has been deleted successfully.',
                'PROVIDER_STATUS_ACTIVE' => 'Provider active successfully.',
                'PROVIDER_STATUS_INACTIVE'=>'Provider inactive successfully.',
                'PROVIDER_EMAIL_VERIFIED'=>'Your email has been verified successfully!', 
                'TOKEN_EXPIRED'=>'Dear provider, The token has been expired!', 
                'PROFILE_UPDATED' => 'Provider detail has been updated successfully.',
                'PROVIDER_AVAILABILITY' => 'Availability has been created successfully.' ,
                'FIRST_HALF_TIME_CHECK' => 'First half end time should be greater than start time.' ,
                'SECOND_HALF_TIME_CHECK' => 'Second half end time should be greater than start time.' ,
                'SECOND_HALF_START_TIME_F_S' => 'The second half start time should be greater than first half start time.' ,
                'SECOND_HALF_START_TIME_F_E' => 'The second half start time should be greater than first half end time.' ,
                'FIRST_HALF_TIME_INTERVAL' => 'The first half time interval should be atleast 45 minutes between end time and start time.' ,
                'SECOND_HALF_TIME_INTERVAL' => 'The second half time interval should be atleast 45 minutes between end time and start time.' ,
                'AVAILABILITY_LIST' => 'Availability has been listed successfully.' ,
                'START_DATE' => 'Start date should be greater than or equal to current date.' ,
                'END_DATE' => 'Can not select a past time and date.' ,
                'PROVIDER_TIMEOFF' => 'Time off has been created successfully.' ,
                'NOT_APPLY_PROVIDER_TIMEOFF' => 'You have a session for selected duration. You can not apply for day off',
                'PROVIDER_TIMEOFF_UPDATED' => 'Time off has been updated successfully.' ,
                'TIME_OFF_NOT_FOUND' => 'Time off not found!',
                'PROVIDER_TIME_OFF_LIST' => 'Time off has been listed successfully.' ,
                'PROVIDER_TIME_OFF_DELETED' => 'Time off has been deleted successfully.' ,
                'PROVIDER_AVAILABILITY_UPDATED' => 'Availability has been updated successfully.' ,
                'PROVIDER_AVAILABILITY_DELETED' => 'Availability has been deleted successfully.' ,
                'FIRST_HALF_START_TIME' => 'First half start time is required.' ,
                'FIRST_HALF_END_TIME' => 'First half end time is required.' ,
                'SECOND_HALF_START_TIME' => 'Second half start time is required.' ,
                'SECOND_HALF_END_TIME' => 'Second half end time time is required.' ,
                'END_TIME_VALIDATION' => 'End time should be greater than start time.' ,
                'FIRST_HALF_CHECK_AVAILABILITY' => 'First half availability already created for ' ,
                'SECOND_HALF_CHECK_AVAILABILITY' => 'Second half availability already created for ' ,
                'CHECK_AVAILABILITY_EXIST' => 'Availability already created for ' ,
                'PROVIDER_APPOINTMENT_LIST' => 'Appointments have been listed successfully.' ,
                'PROVIDER_APPOINTMENT_NOT_FOUND' => 'Appointment not found!',
                'APPOINTMENT_NOT_FOUND' => 'Sorry no appointment found!',
                'APPOINTMENT_NOTE' => 'Session note has been added successfully!',
                'APPOINTMENT_DETAILS' => 'Appointment details!', 
                'PROVIDER_RATING_REVIEWS' => 'Rating and reviews have been listed successfully!', 
                'PROVIDER_LICENSE_DELETED' => 'License has been deleted successfully!', 
                'PROVIDER_LICENSE_FILE_DELETED' => 'License file has been deleted successfully!',
                'PROVIDER_CERTIFICATE_DELETED' => 'Certificate has been deleted successfully!', 
                'PROVIDER_CERTIFICATE_FILE_DELETED' => 'Certificate file has been deleted successfully!', 
                'PROVIDER_FBI_BACKGROUND_FILE_DELETED' => 'Fbi background file has been deleted successfully!', 
                'PROVIDER_CHILD_ABUSE_FILE_DELETED' => 'Child abuse file has been deleted successfully!', 
                'PROVIDER_LIABILITY_INSURANCE_FILE_DELETED' => 'Liability Insurance file has been deleted successfully!', 
                'PROVIDER_SET_PIN' => 'Pin has been set successfully!',
                'PROVIDER_CHANGE_PIN' => 'Pin has been changed successfully!',
                'CURRENT_PIN_WRONG' => 'The entered current pin is wrong!',
                'PROVIDER_RESET_PIN' => 'The pin has been reset successfully!',
                'CONSUMER_UPDATE_SESSION_SUCCESS' => 'Consumer update remaining session successfully!',
                'WRONG_EMAIL' => 'This email does not exist!',
                'FOLLOW_UP_MESSAGE' => 'Follow up message has been created successfully.',
                'AUDIO_VIDEO_SESSION_LIST'=> 'Audio video sessions have been listed successfully.',
                'AUDIO_VIDEO_SESSION_NOT_FOUND'=> 'Audio video sessions not found!.',
                'PROVIDER_COUNT'=> 'Provider count!.',
                'TWO_FACTOR_ENABLE'=> 'Two factor has been enabled!.',
                'TWO_FACTOR_DISABLE'=> 'Two factor has been disabled!.',
                'PROVIDER_JOIN_SESSION'=> 'Provider has been joined session successfully!.',
                'PROVIDER_SAVE_SESSION_DETAIL'=> 'Session detail has been saved successfully!.',
                'NO_SHOW_TIME'=> 'No show time limit detail!.',
                'NO_SHOW_TIME_NOT_FOUND'=> 'No show time not found!.',
                'REJECTION_REASON'=> 'Provider rejection reason detail!.',
                'REASON_NOT_FOUND'=> 'Provider rejection reason not found!.',
                'APPOINTMENT_EXIST'=> 'You have an appointment for the day,can not delete availability!.',
                'PROVIDER_UNBLOCK'=>'Provider has been unblocked successfully.', 
                'CURRENT_PASSWORD'=>'New Password can not be same as your current password. Please choose a different password.',
                'OLD_PASSWORD_CHECK'=>'This is your old password, Please choose a different password.',
                'NOTIFICATION_SETTING_NAME'=> 'Wrong setting name provided.', 
                'NOTIFICATION_SETTING'=> 'Notification setting has been updated.', 
                'NOTIFICATION_SETTING_LIST'=> 'Notification setting has been listed successfully.',
                'NOTIFICATION_LIST_NOT_FOUND'=> 'Notification setting not found!.',
                'NOTIFICATION_LIST'=> 'Notifications have been listed successfully.',
                'NOTIFICATION_NOT_FOUND'=> 'Notification not found!.',
                'PROVIDER_SESSION_TOKEN'=> 'Session token.',
                'PROVIDER_SESSION_END'=> 'Session has been ended.',
                'SESSION_TOKEN_NOT_CREATED'=> 'You have marked as completed this appointment.',
                'PROVIDER_REQUEST_TO_CANCEL'=> 'You have requested successfully.',
                'APPOINTMENT_TIME'=> 'Please join on correct scheduled time.',
                'CAN_NOT_CREATE_APPOINTMENT_NOTE'=> 'You can not add the session note before appointment time.',
                'PROVIDER_DID_NOT_JOIN_SESSION'=> 'You can not add the session note because you did not join the session.',
                'APPOINTMENT_CANCEL_REQUEST_PROVIDER' => 'You can not request to cancel this appointment.',
                'PIN_NOT_MATCH' => 'Your pin does not match, Please try again.',
                'PROVIDER_PIN_MATCH' => 'The pin match successfully!'

            ]

        ],

        'CUSTOMER_API' => [
            'CUSTOMER_OTP_EXPIRE_TIME' => 300, // in second
            'FORGOT_PASS_OTP_EXPIRE_TIME' => 300, // in seconds
            'VALIDATION' => [
                'APP_REQUIRED' => 'The app field is required.',
                'PLATFORM_REQUIRED' => 'The platform field is required.',
                'EMAIL_REQUIRED' => 'The email field is required.',
                'EMAIL_UNIQUE' => 'The email has already been taken.',
                'FIRST_NAME_REQUIRED' => 'The first name field is required.',
                'LAST_NAME_REQUIRED' => 'The last name field is required.',
                'BIRTH_DATE_REQUIRED' => 'The birth date field is required.',
                'BIRTH_DATE_FORMAT' => 'The birth date is not a valid date.',
                'BIRTH_DATE_18' =>  'Consumers must be a minimum 18 years of age.',
                'GENDER_REQUIRED' => 'The gender field is required.',
                'PHONE_CODE_REQUIRED' => 'The phone code field is required.',
                'PHONE_REQUIRED' => 'The phone field is required.',
                'PHONE_UNIQUE' => 'The phone has already been taken.',
                'ADDRESS_REQUIRED' => 'The address field is required.',
                'RELATIONSHIP_REQUIRED' => 'The relationship field is required.',
                'PASSWORD_REQUIRED' => 'The password field is required.',
                'PASSWORD_REGEX' => 'Password must be at least one lowercase, one uppercase, one digit and a special character.',
                'CONFIRM_PASSWORD_REQUIRED' => 'The confirm password field is required.',
                'CONFIRM_PASSWORD_SAME' => 'The confirm password and password must match.',
                'PROVIDER_PREFERENCE_REQUIRED' => 'The provider preference field is required.',
                'PROVIDER_PREFERENCE_IN' => 'The selected provider preference is invalid.',
                'EMAIL_EXISTS' => 'The email Id you entered is not registered with us. Please check and enter registered email id.',
                'PHONE_EXISTS' => 'The phone number you entered is not registered with us. Please check and enter registered phone number.',
                'EMAIL_REQUIRED_WITHOUT' => 'The email field is required when phone is not present.',
                'OTP_REQUIRED' => 'The otp field is required.',
                'CURRENT_PASSWORD_REQUIRED' => 'The current password field is required.',
                'NEW_PASSWORD_REQUIRED' => 'The new password field is required.',
                'CHANGE_CONFIRM_PASSWORD_SAME' => 'The confirm password and new password must match.',
                'PROVIDER_ID_REQUIRED' => 'The provider id field is required.',
                'DATE_REQUIRED' => 'The date field is required.',
                'DATE_FORMAT' => 'The date is not a valid date.',
                'APPOINTMENT_DATE_REQUIRED' => 'The appointment date field is required.',
                'APPOINTMENT_DATE_FORMAT' => 'The appointment date is not a valid date.',
                'APPOINTMENT_TIME_REQUIRED' => 'The appointment time field is required.',
                'ID_REQUIRED' => 'The id field is required.',
                'CANCEL_REASON_REQUIRED' => 'The cancel reason field is required.',
                'PHONE_NO_REQUIRED' => 'The phone no field is required.',
                'EMERGENCY_RELATIONSHIP_REQUIRED' => 'The relationship field is required.',

            ],
            'MESSAGE' => [
              'SUCCESS_STATUS' => 'success',
              'ERROR_STATUS' => 'error',
              'HI' => 'Hi',
              'SOMETHING_WENT_WRONG' => 'Something went wrong plase try again later!',
              'NOT_FOUND'=> 'No record found.',
              'PASSWORD_REGEX' => 'Password must be at least one lowercase, one uppercase, one digit and a special character!',
              'CUSTOMER_LOGIN' => 'Customer has been successfully logged In!' ,
              'WRONG_OTP' => 'The two factor code you have entered does not match!' ,
              'OTP_EXPIRE' => 'The two factor code has expired!' ,
              'CUSTOMER_REGISTER_STEP_1' => 'Customer has been successfully registered!',
              'CUSTOMER_REGISTER_STEP_3' => 'Customer has been successfully registered intake questions!',
              'CUSTOMER_REGISTER_STEP_4' => 'Customer has been successfully registered preference!',
              'PROFILE_FILE_EXTENSION'=> 'Only jpg, jpeg, png file is allowed.',
              'BIRTH_DATE'=> 'Birth date should be greater than or equal to 18 years.',
              'NOTEXSIST_EMAIL' => 'The email Id you entered is not registered with us. Please check and enter registered email id.',
              'NOTEXSIST_PHONE' => 'The phone number you entered is not registered with us. Please check and enter registered phone number.',
              'VALID_EMAIL' => 'You have entered a wrong email. Please enter a correct email.',
              'DEAR'  => 'Hi ',
              'EMAIL_OTP' => 'Your email verification OTP is',
              'EMAIL_OTP_SENT' => 'OTP has been sent to email please check!',
              'MOBILE_NUMBER_OTP_SENT' => 'OTP has been sent to mobile number please check!',
              'OTP_EXPIRED' => 'OTP has been expired!',
              'OTP_VERIFY'=>'Otp verified successfully',
              'INVALID_OTP' => 'Invalid OTP. Please try again',
              'INVALID_USER' => 'Invalid User!',
              'PASSWORD_UPDATED' => 'New Password updated successfully!',
              'CUSTOMER_NOT_FOUND' => 'Sorry no customer found!',
              'CUSTOMER_DETAILS' => 'Customer details!', 
              'CUSTOMER_UPDATE_PROFILE' => 'Profile has been successfully updated!', 
              'INTAKE_OPTION_REQ' => 'Please select atleast one option.', 
              'CUSTOMER_LISTING' => 'Customer listing!',
              'CUSTOMER_COUNT' => 'Customer count!',
              'CUSTOMER_STATUS_ACTIVE' => 'Customer active successfully.',
              'CUSTOMER_STATUS_INACTIVE'=>'Customer inactive successfully.',
              'CUSTOMER_ARCHIVE'=>'Customer has been archived successfully.',
              'CUSTOMER_DELETED'=>'Customer has been deleted successfully.',
              'CUSTOMER_UNARCHIVE'=>'Customer has been unarchived successfully.',
              'PROFILE_UPDATED' => 'Customer detail has been updated successfully.',
              'RECOMMENDDED_PROVIDERS' => 'Recommendded providers have been listed successfully.',
              'PROVIDER_NOT_FOUND' => 'Sorry no provider found!', 
              'PROVIDER_DETAILS' => 'Provider details!',
              'ADD_APPOINTMENT' => 'Appointment has been created successfully!',
              'CUSTOMER_APPOINTMENT_LIST' => 'Appointments have been listed successfully.' ,
              'OTHER_PROVIDERS_LIST' => 'Other providers have been listed successfully.',
              'PROVIDER_AVAILABLE_TIME' => 'Provider time have been listed successfully.',
              'UPDATE_EMERGENCY_CONTACT' => 'Emergency contact has been updated successfully.',
              'ADD_EMERGENCY_CONTACT' => 'Emergency contact has been added successfully.',
              'APPOINTMENT_NOT_FOUND' => 'Sorry no appointment found!',
              'APPOINTMENT_DETAILS' => 'Session details!', 
              'RESCHEDULE_APPOINTMENT' => 'Appointment has been rescheduled successfully!',
              'CANCEL_APPOINTMENT' => 'Appointment has been cancelled successfully!',
              'APPOINTMENT_ALREADY_CANCEL' => 'You have cancelled the appointment already!',
              'CUSTOMER_BIRTH_DATE'=> 'Birth date should be less than current date.',
              'CUSTOMER_HOME_APPOINTMENT'=> 'Home page data has been listed successfully.',
              'CHANGE_PROVIDER'=> 'Change provider request has been submitted.',
              'JOURNAL_LIST'=> 'Journal have been listed successfully.',
              'JOURNAL_CREATE'=> 'Journal has been created successfully.',
              'JOURNAL_UPDATE'=> 'Journal has been updated successfully.',
              'JOURNAL_DELETED'=> 'Journal has been deleted successfully.',
              'JOURNAL_NOT_FOUND'=> 'Journal not found!.',
              'JOURNAL_DETAILS'=> 'Journal detail!.',
              'PAYMENT_HISTORY_LIST'=> 'Payment history has been listed successfully.',
              'PAYMENT_HISTORY_NOT_FOUND'=> 'Payment history not found.',
              'AUDIO_VIDEO_SESSION_LIST'=> 'Audio video sessions have been listed successfully.',
              'AUDIO_VIDEO_SESSION_NOT_FOUND'=> 'Audio video sessions not found!.',
              'RATING_REVIEW_CREATE'=> 'Rating and review has been created successfully.',
              'NOTIFICATION_LIST'=> 'Notifications have been listed successfully.',
              'NOTIFICATION_NOT_FOUND'=> 'Notification not found!.',
              'APPOINTMENT_ALREADY_CREATED'=> 'You have already an appointment.',
              'NOTIFICATION_SETTING_NAME'=> 'Wrong setting name provided.',
              'NOTIFICATION_SETTING'=> 'Notification setting has been updated.',
              'NOTIFICATION_SETTING_LIST'=> 'Notification setting has been listed successfully.',
              'NOTIFICATION_LIST_NOT_FOUND'=> 'Notification setting not found!.',
              'CUSTOMER_UPDATE_INTAKE_QUESTION'=> 'Intake questions have been updated.',
              'QUESTION_ANSWER_LIST'=> 'Intake questions have been listed successfully.',
              'QUESTION_ANSWER_NOT_FOUND'=> 'Intake questions not found.',
              'SUBSCRIPTION_PLAN_DETAIL'=> 'Default Plan listed.',
              'PLAN_NOT_FOUND'=> 'Plan not found.',
              'PLAN_LIST'=> 'Plans have been listed successfully.',
              'ACTIVE_PLAN'=> 'Active plan listed.',
              'CANCEL_PLAN'=> 'Plan has been cancelled successfully.',
              'TWO_FACTOR_ENABLE'=> 'Two factor has been enabled!.',
              'TWO_FACTOR_DISABLE'=> 'Two factor has been disabled!.',
              'CUSTOMER_JOIN_SESSION'=> 'Customer has been joined session successfully!.',
              'NO_SHOW_TIME'=> 'No show time limit detail!.',
              'NO_SHOW_TIME_NOT_FOUND'=> 'No show time not found!.',
              'CUSTOMER_EMAIL_VERIFIED'=>'Your email has been verified successfully!', 
              'TOKEN_EXPIRED'=>'Dear consumer, The token has been expired!', 
              'PAST_APPOINTMENT'=>'Please schedule a future time and date!', 
              'CUSTOMER_UNBLOCK'=>'Customer has been unblocked successfully.', 
              'CURRENT_PASSWORD'=>'New Password can not be same as your current password. Please choose a different password.', 
              'OLD_PASSWORD_CHECK'=>'This is your old password, Please choose a different password.', 
              'SUBSCRIPTION_PAYMENT'=>'Subscription payment has been successfully done.', 
              'SUBSCRIPTION_PAYMENT_FAILED'=>'Subscription payment failed.', 
              'CUSTOMER_SESSION_TOKEN'=>'Session Token.',
              'CUSTOMER_SAVE_SESSION_DETAIL'=> 'Session detail has been saved successfully!.', 
              'CUSTOMER_SESSION_END'=> 'Session has been ended.',
              'SESSION_TOKEN_NOT_CREATED'=> 'The provider has marked as completed this appointment.',
              'APPOINTMENT_TIME'=> 'Please join on correct scheduled time.',
              'REQUEST_CHANGE_PROVIDER'=> 'You have requested to change the provider so you can not create appointment.',
              'PROVIDER_REQUEST_SENT'=> 'You have already requested to change the provider.',
              'CUSTOMER_APPOINTMENT_NOT_FOUND'=> 'No record found.',
              'CUSTOMER_PLAN_CHECK'=> 'You do not have plan so you can not create the appointment.',
              'CUSTOMER_REMAINING_SESSION'=> 'You have used your all sessions kindly purchase the session first.',
              'CUSTOMER_CHECK_SESSION'=> 'Kindly choose the date after renewable date or purchase the session first.',
              'APPOINTMENT_CAN_NOT_CANCEL'=> 'You can not cancel this appointment.',
              'APPOINTMENT_CAN_NOT_RESCHEDULE'=> 'You can not reschedule this appointment.',
              'CUSTOMER_CHANGE_LANGUAGE'=> 'Language has been changed successfully.',
              'ARCHIVED_CUSTOMER'=> 'You are archived user. Please contact to administrator.',
              'WRONG_CURRENT_PASSWORD' => 'The current password you entered is wrong. Please try another.',
              'CANCEL_SUBSCRIPTION' => 'You have already cancelled the subscription.',
              'PROVIDER_LICENSE_EXPIRED' => 'The license has been expired of the provider.',              
              'CONSUMER_ON_GOING_SESSION_RESCHEDULE' => 'You cannot reschedule this appointment.',                            
              'CONSUMER_ON_GOING_SESSION_CANCEL' => 'You cannot cancel this appointment.',
              'CONSUMER_VERIFICATION_MAIL'=>'An email verification link is shared on your registered email, please verify.' ,
              'CONSUMER_MAIL_NOT_VERIFY'=>'Email not verify. Please verify your email .',
              'CONSUMER_MAIL_NOT_VERIFY_NEW'=>'Email is not verified. Please verify your email first.',
              'CONSUMER_MAIL_VERIFY'=>'Your email verified .',
              'APPOINTMENT_CAN_NOT_RESCHEDULE_BEFORE_4HR' => 'Appointment must be scheduled 4 hours prior to appointment time.',                
              'APPOINTMENT_CAN_NOT_CANCEL_BEFORE_4HR' => 'Appointment must be canceled 4 hours prior to appointment time.', 
            ],
        ],

   
        'USER_API' => [
            'MESSAGE' => [                
                'APP_VERSION' =>  'App latest version data.',
                'SUCCESS_STATUS' => 'success',
                'ERROR_STATUS' => 'error',
                'ROLE_STATUS' => 'Role has been updated.',
                'PASSWORD_REGEX' => 'Password must be at least one lowercase, one uppercase, one digit and a special character!',
                'EMAIL_ALREADY_EXISTS' => 'Email already exist.', 
                'PHONE_ALREADY_EXISTS' => 'Phone already exist.',
                'VALID_EMAIL' => 'Email shluld be valid.',
                'USER_REGISTER' => 'User has been successfully registered!' ,
                'SOMETHING_WENT_WRONG' => 'Something went wrong!',
                'USER_LISTING' => 'Users listing!',
                'USER_NOT_FOUND' => 'Sorry no users founds!', 
                'USER_DETAILS' => 'Users details!', 
                'USER_STATUS' => 'User has been updated.', 
                'NOTEXSIST_EMAIL' => 'The email Id you entered is not registered with us. Please check and enter registered email id.',
                'MAIL_SENT' => 'An email with reset password link has been sent to your email. Please rest password and get back here to login.',
                'MAIL_SENT_TO_CHANGE_EMAIL' => 'An email with change email id link has been sent to your email. Please change email.',  
                'INVALID_TOKEN' => 'Invalid token please try again',  
                'TOKEN_EXPIRED' => 'Your token is expired please try again',
                'PASSWORD_UPDATED' => 'You have changed your password successfully.',
                'FAQ_ADDED' => 'FAQ has been added successfully.',
                'FAQ_NOT_FOUND' => 'FAQ page not found!',
                'FAQ_UPDATED' => 'FAQ page has been updated.',
                'FAQ_STATUS' => 'FAQ page has been updated.',
                'FAQ' => 'All FAQ have been listed successfully!',
                'USER_DELETED' => 'User has been deleted.',
                'CMS_PAGE_ADDED' => 'Cms page has been added successfully.',
                'CMS_PAGE_LISTING' => 'Cms page listed successfully.',
                'CMS_PAGE_NOT_FOUND' => 'Cms page not found!',
                'CMS_PAGE_DETAILS' => 'Cms page detail!',
                'CMS_PAGES' => 'All cms pages have been listed successfully!',
                'CMS_PAGE_UPDATED' => 'Cms page has been updated.',
                'CMS_STATUS' => 'Cms page has been updated.',
                'CMS_PAGE_DELETED' => 'Cms has been deleted successfully.',
                'TEMPLATE_LISTING' => 'Template listed successfully.',
                'DID_YOU_KNOW_LISTING' => 'Did you know listed successfully.',
                'DID_YOU_KNOW_ADDED' => 'Did you know has been added successfully.',
                'DID_YOU_KNOW_NOT_FOUND' => 'Did you know page not found!',
                'DID_YOU_KNOW_DETAILS' => 'Cms page detail!',
                'DID_YOU_KNOW_UPDATED' => 'Did you know page has been updated.',
                'DID_YOU_KNOW_STATUS_ACTIVE' => 'Did you know active successfully.',
                'DID_YOU_KNOW_STATUS_INACTIVE' => 'Did you know inactive successfully.',
                'DID_YOU_KNOW_DELETED' => 'Did you know has been deleted successfully.',
                'DID_YOU_KNOW' => 'Did you know has been listed successfully.',
                'PLAN_NOT_FOUND'=> 'Plans not found.',
                'PLAN_LISTING'=>'Plans have been listed successfully.',
                'PLAN_STATUS_ACTIVE' => 'Plan active successfully.',
                'PLAN_STATUS_INACTIVE'=>'Plan inactive successfully.',
                'PLAN_DELETED'=>'Plan has been deleted successfully.',
                'PLAN_ADDED' => 'Plan has been added successfully.',
                'PLAN_DETAILS' => 'Plan detail!',
                'PLAN_UPDATED' => 'Plan has been updated.',
                'PLAN_PURCHASE_NOT_FOUND' => 'Plan purchase history not found.',
                'PLAN_PURCHASE_LISTING'=>'Purchase history have been listed successfully.',
                'USER_STATUS_ACTIVE' => 'User active successfully.',
                'USER_STATUS_INACTIVE' => 'User inactive successfully.',
                'UPCOMING_APPOINTMENT_NOT_FOUND' =>'Upcoming appointment not found!',
                'UPCOMING_APPOINTMENT_LISTING'=>'Upcoming appointments have been listed successfully.',
                'APPOINTMENT_DELETED'=>'Appointment has been deleted successfully.',
                'COMPLETED_APPOINTMENT_NOT_FOUND' =>'Completed appointment not found!',
                'COMPLETED_APPOINTMENT_LISTING'=>'Completed appointments have been listed successfully.',
                'CANCELLED_APPOINTMENT_NOT_FOUND' =>'Cancelled appointment not found!',
                'CANCELLED_APPOINTMENT_LISTING'=>'Cancelled appointments have been listed successfully.',
                'CANCELLED_APPOINTMENT_DETAILS' => 'Cancelled appointment detail!',
                'REVIEW_RATING_NOT_FOUND' => 'Review and rating not found.',
                'RATING_REVIEW_LISTING'=>'Rating reviews have been listed successfully.',
                'RATING_REVIEW_STATUS_ACTIVE' => 'Review active successfully.',
                'RATING_REVIEW_STATUS_INACTIVE'=>'Review inactive successfully.',
                'REVIEW_RATING_DETAILS'=>'Review and rating detail!.',
                'REVIEW_RATING_DELETED'=>'Review has been deleted successfully.',
                'NO_SHOW_LISTING'=>'No show records have been listed successfully.',
                'NO_SHOW_NOT_FOUND' => 'No show not found.',
                'TOTAL_REVENUE' => 'Total revenue.',
                'LATEST_TRANSACTION' => 'Latest transactions have been listed successfully.',
                'LATEST_TRANSACTION_NOT_FOUND' => 'Latest transaction not found.',
                'SALE_REPORT_NOT_FOUND' => 'Sale Report not found.',
                'SALE_REPORT' => 'Sale Report details.',

                'TEMPLATE_ADDED' => 'Template has been added successfully.',
                'TEMPLATE_NOT_FOUND' => 'Template not found.',
                'TEMPLATE_DETAILS'=>'Template detail!.',
                'TEMPLATE_UPDATED'=>'Template has been updated successfully.',
                'TEMPLATE_STATUS_ACTIVE' => 'Template active successfully.',
                'TEMPLATE_STATUS_INACTIVE'=>'Template inactive successfully.',
                'ROLE_STATUS_ACTIVE' => 'Role active successfully.',
                'ROLE_STATUS_INACTIVE'=>'Role inactive successfully.',
                'CHANGE_PROVIDER_NOT_FOUND' => 'Change provider request not found.',
                'CHANGE_PROVIDER_LISTING'=>'Change provider request has been listed successfully.',
                'PROVIDER_CHANGE_REQUEST_APPROVE'=>'The Change provider request has been approved successfully.',
                'PROVIDER_PAYMENT_PAID'=>'The provider payment status has been paid successfully.',

                'REPORT_ADDED' => 'Thanks for report.',
                'MONTH_SUBSCRIPTION_NOT_FOUND' => 'Current month subscription not found.',
                'MONTH_SUBSCRIPTION' => 'Current month subscription.',
                
            ]
        ],

        'EVERGREEN_API' => [
            'MESSAGE' => [                
                'SUCCESS_STATUS' => 'success',
                'ERROR_STATUS' => 'error',
                'EVERGREEN_STATUS_ACTIVE' => 'Evergreen active successfully.',
                'EVERGREEN_STATUS_INACTIVE'=>'Evergreen inactive successfully.',
                
            ]
        ],

        'BUSINESS_API' => [
            'VALIDATION' => [
                'BUSINESS_NAME_REQUIRED'=>'The Business Name field is required.',
                'BUSINESS_ID'=>'The Business Id field is required.',
                'ACCESS_CODE'=>'The Access Code field is required.',
                'MEMBERSHIP'=>'The Membership plan required',
                'BUSINESS_DOMAIN'=>'The Business Domain required',
                'BUSINESS_DOMAIN_UNIQUE '=>'These domains already exist.',
            ],
            'MESSAGE' => [                
                'SUCCESS_STATUS' => 'success',
                'SUCCESS_STORE' => 'Success ! Business has been created successfully ',
                'SUCCESS_UPDATE' => 'Success ! Business has been updated successfully ',
                'ERROR_STATUS' => 'error',
                'BUSINESS_STATUS_ACTIVE' => 'Business active successfully.',
                'BUSINESS_STATUS_INACTIVE'=>'Business inactive successfully.',
                
            ]
        ],
    ];
    
}

