<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$router->get('api/v2/oauth2/get_otp', ['as' => 'oauth', 'uses' => 'Auth\OauthServerController@getOTP']);

$router->post('api/v2/oauth2/redirect_url', ['as' => 'oauth', 'uses' => 'Auth\OauthServerController@authRedirected']);

$router->post('api/v2/oauth2/token', ['as' => 'oauth', 'uses' => 'Auth\OauthServerController@token']);

$router->post('api/v2/oauth2/logout', ['as' => 'oauth', 'uses' => 'Auth\OauthServerController@logout']);

$router->post('api/v2/oauth2/otp_verify', ['as' => 'oauth', 'uses' => 'Auth\OauthServerController@otpVerify']);

// Auth API Routes
$router->group(['prefix' => 'api/v2/auth/'], function () use ($router) {
    $path = "Auth";
    $router->post('forgot_password', ['as' => 'auth', 'uses' => $path . '\AuthController@ForgotPassword']);
    $router->post('otp_verify', ['as' => 'auth', 'uses' => $path . '\AuthController@VerifyOTP']);
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('logout', ['as' => 'auth', 'uses' => $path . '\AuthController@Logout']);
    });
});

//**** Subcodevs v3 api ******/


$router->get('api/v3/oauth2/get_otp', ['as' => 'oauth', 'uses' => 'v3\Auth\OauthServerController@getOTP']);

$router->post('api/v3/oauth2/redirect_url', ['as' => 'oauth', 'uses' => 'v3\Auth\OauthServerController@authRedirected']);

$router->post('api/v3/oauth2/token', ['as' => 'oauth', 'uses' => 'v3\Auth\OauthServerController@token']);

$router->post('api/v3/oauth2/logout', ['as' => 'oauth', 'uses' => 'v3\Auth\OauthServerController@logout']);

$router->post('api/v3/oauth2/otp_verify', ['as' => 'oauth', 'uses' => 'v3\Auth\OauthServerController@otpVerify']);

// Auth API Routes
$router->group(['prefix' => 'api/v3/auth/'], function () use ($router) {
    $path = "v3\Auth";
    $router->post('forgot_password', ['as' => 'auth', 'uses' => $path . '\AuthController@ForgotPassword']);
    $router->post('otp_verify', ['as' => 'auth', 'uses' => $path . '\AuthController@VerifyOTP']);
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('logout', ['as' => 'auth', 'uses' => $path . '\AuthController@Logout']);
    });
});

//**** Subcodevs v4 api ******/


$router->get('api/v4/oauth2/get_otp', ['as' => 'oauth', 'uses' => 'v4\Auth\OauthServerController@getOTP']);

$router->post('api/v4/oauth2/redirect_url', ['as' => 'oauth', 'uses' => 'v4\Auth\OauthServerController@authRedirected']);

$router->post('api/v4/oauth2/token', ['as' => 'oauth', 'uses' => 'v4\Auth\OauthServerController@token']);

$router->post('api/v4/oauth2/logout', ['as' => 'oauth', 'uses' => 'v4\Auth\OauthServerController@logout']);

$router->post('api/v4/oauth2/otp_verify', ['as' => 'oauth', 'uses' => 'v4\Auth\OauthServerController@otpVerify']);

// Auth API Routes
$router->group(['prefix' => 'api/v4/auth/'], function () use ($router) {
    $path = "v4\Auth";
    $router->post('forgot_password', ['as' => 'auth', 'uses' => $path . '\AuthController@ForgotPassword']);
    $router->post('otp_verify', ['as' => 'auth', 'uses' => $path . '\AuthController@VerifyOTP']);
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('logout', ['as' => 'auth', 'uses' => $path . '\AuthController@Logout']);
    });
});