<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// brands api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Brands";
    $router->get('brands', ['as' => 'brands', 'uses' => $path . '\BrandController@index']);
    $router->post('brands', ['as' => 'brands', 'uses' => $path . '\BrandController@store']);
    $router->put('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@update']);
    $router->delete('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@delete']);
    $router->get('brand/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@show']);
    $router->get('brands/count', ['as' => 'brands', 'uses' => $path . '\BrandController@count']);
});

//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Brands";
    $router->get('brands', ['as' => 'brands', 'uses' => $path . '\BrandController@index']);
    $router->post('brands', ['as' => 'brands', 'uses' => $path . '\BrandController@store']);
    $router->put('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@update']);
    $router->delete('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@delete']);
    $router->get('brand/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@show']);
    $router->get('brands/count', ['as' => 'brands', 'uses' => $path . '\BrandController@count']);
});

//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Brands";
    $router->get('brands', ['as' => 'brands', 'uses' => $path . '\BrandController@index']);
    $router->post('brands', ['as' => 'brands', 'uses' => $path . '\BrandController@store']);
    $router->put('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@update']);
    $router->delete('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@delete']);
    $router->get('brand/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@show']);
    $router->get('brands/count', ['as' => 'brands', 'uses' => $path . '\BrandController@count']);
});