<?php

// chat api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Chat";
    $router->get('chat/room', ['as' => 'chat', 'uses' => $path.'\ChatController@index']);
    $router->get('chat/{id}/messages', ['as' => 'chat', 'uses' => $path.'\ChatController@getMessageById']);
    $router->post('send-message', ['as' => 'chat', 'uses' => $path.'\ChatController@sendMessageById']);
    $router->post('delete/{id}/my-chat', ['as' => 'chat', 'uses' => $path.'\ChatController@deleteMyChat']);
    $router->put('message/{id}/mark_read', ['as' => 'chat', 'uses' => $path.'\ChatController@markAsRead']);
    $router->post('chat/upload-image', ['as' => 'chat', 'uses' => $path.'\ChatController@upload']);
    $router->put('delete/chat-room/{id}', ['as' => 'chat', 'uses' => $path.'\ChatController@deleteChatRoom']);

    /* Audi Video  */
    /*$router->get('audio-video-session-list', ['as' => 'chat', 'uses' => $path.'\ChatController@audioVideoSessionList']);*/
    /*        */

});


//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Chat";
    $router->get('chat/room', ['as' => 'chat', 'uses' => $path.'\ChatController@index']);
    $router->get('chat/{id}/messages', ['as' => 'chat', 'uses' => $path.'\ChatController@getMessageById']);
    $router->post('send-message', ['as' => 'chat', 'uses' => $path.'\ChatController@sendMessageById']);
    $router->post('delete/{id}/my-chat', ['as' => 'chat', 'uses' => $path.'\ChatController@deleteMyChat']);
    $router->put('message/{id}/mark_read', ['as' => 'chat', 'uses' => $path.'\ChatController@markAsRead']);
    $router->post('chat/upload-image', ['as' => 'chat', 'uses' => $path.'\ChatController@upload']);
    $router->put('delete/chat-room/{id}', ['as' => 'chat', 'uses' => $path.'\ChatController@deleteChatRoom']);

    /* Audi Video  */
    /*$router->get('audio-video-session-list', ['as' => 'chat', 'uses' => $path.'\ChatController@audioVideoSessionList']);*/
    /*        */

});


//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Chat";
    $router->get('chat/room', ['as' => 'chat', 'uses' => $path.'\ChatController@index']);
    $router->get('chat/{id}/messages', ['as' => 'chat', 'uses' => $path.'\ChatController@getMessageById']);
    $router->post('send-message', ['as' => 'chat', 'uses' => $path.'\ChatController@sendMessageById']);
    $router->post('delete/{id}/my-chat', ['as' => 'chat', 'uses' => $path.'\ChatController@deleteMyChat']);
    $router->put('message/{id}/mark_read', ['as' => 'chat', 'uses' => $path.'\ChatController@markAsRead']);
    $router->post('chat/upload-image', ['as' => 'chat', 'uses' => $path.'\ChatController@upload']);
    $router->put('delete/chat-room/{id}', ['as' => 'chat', 'uses' => $path.'\ChatController@deleteChatRoom']);

    /* Audi Video  */
    /*$router->get('audio-video-session-list', ['as' => 'chat', 'uses' => $path.'\ChatController@audioVideoSessionList']);*/
    /*        */

});


