<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


// CMS PAGE API
$router->group(['prefix' => 'api/v2/','middleware' => 'language'], function () use ($router) 
{
    $path = "CMS";
    $router->get('cms-pages', ['as' => 'cms', 'uses' => $path . '\PageController@cmsPages']);
    $router->get('cms/pages', ['as' => 'cms', 'uses' => $path . '\PageController@index']);
    $router->get('cms/pages/search', ['as' => 'cms', 'uses' => $path . '\PageController@index']);
    $router->get('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@show']);
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/pages', ['as' => 'cms', 'uses' => $path . '\PageController@store']);
        $router->put('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@update']);
        $router->delete('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@delete']);
        $router->put('cms/pages/{id}/publish-action', ['as' => 'cms', 'uses' => $path . '\PageController@publishAction']);
        $router->put('cms/{id}/active_inactive', ['as' => 'cms', 'uses' => $path . '\PageController@activeInactive']);
    });
});

//CMS Banner API
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "CMS";
   
    $router->get('cms/banners', ['as' => 'banner', 'uses' => $path . '\BannerController@index']);
    $router->get('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@show']);

    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/banners', ['as' => 'banner', 'uses' => $path . '\BannerController@store']);
        $router->post('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@update']);
        $router->delete('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@delete']);
    });
});

// Faqs API
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "CMS";
    $router->get('cms/faqs', ['as' => 'faq', 'uses' => $path . '\FAQController@index']);
    $router->get('cms/faqs/search', ['as' => 'faq', 'uses' => $path . '\FAQController@index']);
    $router->get('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@show']);
  
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/faqs', ['as' => 'faq', 'uses' => $path . '\FAQController@store']);
        $router->put('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@update']);
        $router->delete('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@delete']);
    });
});

// contact us api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "CMS";
    $router->get('cms/contact_us', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@index']);
    $router->get('cms/contact_us/count', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@totalContactUsRequest']);
    $router->get('cms/contact_us/search', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@index']);
    $router->post('cms/contact_us', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@store']);
    $router->get('cms/contact_us/{id}', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@show']);
    $router->delete('cms/contact_us/{id}', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@delete']);
});

// Report a problem
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "CMS";
    $router->get('cms/report_problems', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@index']);
    $router->get('cms/report_problems/search', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@index']);
    $router->post('cms/report_problems', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@store']);
    $router->get('cms/report_problems/{id}', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@show']);
    $router->delete('cms/report_problems/{id}', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@delete']);
});

$router->group(['prefix' => 'api/v2/'], function () use ($router) 
{
    $path = "CMS";
    $router->get('cms/countries', ['as' => 'country', 'uses' => $path . '\CountryController@index']);
    $router->get('cms/countries/count', ['as' => 'country', 'uses' => $path . '\CountryController@count']);
    $router->get('cms/countries/search', ['as' => 'country', 'uses' => $path . '\CountryController@search']);
    $router->post('cms/countries', ['as' => 'country', 'uses' => $path . '\CountryController@store']);
});

//**** Subcodevs v3 api ******/


$router->group(['prefix' => 'api/v3/','middleware' => 'language'], function () use ($router) 
{
    $path = "v3\CMS";
    $router->get('cms-pages', ['as' => 'cms', 'uses' => $path . '\PageController@cmsPages']);
    $router->get('cms/pages', ['as' => 'cms', 'uses' => $path . '\PageController@index']);
    $router->get('cms/pages/search', ['as' => 'cms', 'uses' => $path . '\PageController@index']);
    $router->get('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@show']);
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/pages', ['as' => 'cms', 'uses' => $path . '\PageController@store']);
        $router->put('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@update']);
        $router->delete('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@delete']);
        $router->put('cms/pages/{id}/publish-action', ['as' => 'cms', 'uses' => $path . '\PageController@publishAction']);
        $router->put('cms/{id}/active_inactive', ['as' => 'cms', 'uses' => $path . '\PageController@activeInactive']);
    });
});

//CMS Banner API
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\CMS";
   
    $router->get('cms/banners', ['as' => 'banner', 'uses' => $path . '\BannerController@index']);
    $router->get('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@show']);

    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/banners', ['as' => 'banner', 'uses' => $path . '\BannerController@store']);
        $router->post('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@update']);
        $router->delete('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@delete']);
    });
});

// Faqs API
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\CMS";
    $router->get('cms/faqs', ['as' => 'faq', 'uses' => $path . '\FAQController@index']);
    $router->get('cms/faqs/search', ['as' => 'faq', 'uses' => $path . '\FAQController@index']);
    $router->get('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@show']);
  
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/faqs', ['as' => 'faq', 'uses' => $path . '\FAQController@store']);
        $router->put('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@update']);
        $router->delete('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@delete']);
    });
});

// contact us api
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\CMS";
    $router->get('cms/contact_us', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@index']);
    $router->get('cms/contact_us/count', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@totalContactUsRequest']);
    $router->get('cms/contact_us/search', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@index']);
    $router->post('cms/contact_us', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@store']);
    $router->get('cms/contact_us/{id}', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@show']);
    $router->delete('cms/contact_us/{id}', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@delete']);
});

// Report a problem
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\CMS";
    $router->get('cms/report_problems', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@index']);
    $router->get('cms/report_problems/search', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@index']);
    $router->post('cms/report_problems', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@store']);
    $router->get('cms/report_problems/{id}', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@show']);
    $router->delete('cms/report_problems/{id}', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@delete']);
});

$router->group(['prefix' => 'api/v3/'], function () use ($router) 
{
    $path = "v3\CMS";
    $router->get('cms/countries', ['as' => 'country', 'uses' => $path . '\CountryController@index']);
    $router->get('cms/countries/count', ['as' => 'country', 'uses' => $path . '\CountryController@count']);
    $router->get('cms/countries/search', ['as' => 'country', 'uses' => $path . '\CountryController@search']);
    $router->post('cms/countries', ['as' => 'country', 'uses' => $path . '\CountryController@store']);
});


//**** Subcodevs v4 api ******/


$router->group(['prefix' => 'api/v4/','middleware' => 'language'], function () use ($router) 
{
    $path = "v4\CMS";
    $router->get('cms-pages', ['as' => 'cms', 'uses' => $path . '\PageController@cmsPages']);
    $router->get('cms/pages', ['as' => 'cms', 'uses' => $path . '\PageController@index']);
    $router->get('cms/pages/search', ['as' => 'cms', 'uses' => $path . '\PageController@index']);
    $router->get('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@show']);
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/pages', ['as' => 'cms', 'uses' => $path . '\PageController@store']);
        $router->put('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@update']);
        $router->delete('cms/pages/{id}', ['as' => 'cms', 'uses' => $path . '\PageController@delete']);
        $router->put('cms/pages/{id}/publish-action', ['as' => 'cms', 'uses' => $path . '\PageController@publishAction']);
        $router->put('cms/{id}/active_inactive', ['as' => 'cms', 'uses' => $path . '\PageController@activeInactive']);
    });
});

//CMS Banner API
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\CMS";
   
    $router->get('cms/banners', ['as' => 'banner', 'uses' => $path . '\BannerController@index']);
    $router->get('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@show']);

    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/banners', ['as' => 'banner', 'uses' => $path . '\BannerController@store']);
        $router->post('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@update']);
        $router->delete('cms/banners/{id}', ['as' => 'banner', 'uses' => $path . '\BannerController@delete']);
    });
});

// Faqs API
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\CMS";
    $router->get('cms/faqs', ['as' => 'faq', 'uses' => $path . '\FAQController@index']);
    $router->get('cms/faqs/search', ['as' => 'faq', 'uses' => $path . '\FAQController@index']);
    $router->get('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@show']);
  
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->post('cms/faqs', ['as' => 'faq', 'uses' => $path . '\FAQController@store']);
        $router->put('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@update']);
        $router->delete('cms/faqs/{id}', ['as' => 'faq', 'uses' => $path . '\FAQController@delete']);
    });
});

// contact us api
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\CMS";
    $router->get('cms/contact_us', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@index']);
    $router->get('cms/contact_us/count', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@totalContactUsRequest']);
    $router->get('cms/contact_us/search', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@index']);
    $router->post('cms/contact_us', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@store']);
    $router->get('cms/contact_us/{id}', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@show']);
    $router->delete('cms/contact_us/{id}', ['as' => 'contacts', 'uses' => $path . '\GetInTouchController@delete']);
});

// Report a problem
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\CMS";
    $router->get('cms/report_problems', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@index']);
    $router->get('cms/report_problems/search', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@index']);
    $router->post('cms/report_problems', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@store']);
    $router->get('cms/report_problems/{id}', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@show']);
    $router->delete('cms/report_problems/{id}', ['as' => 'ReportAProblem', 'uses' => $path . '\ReportAProblemController@delete']);
});

$router->group(['prefix' => 'api/v4/'], function () use ($router) 
{
    $path = "v4\CMS";
    $router->get('cms/countries', ['as' => 'country', 'uses' => $path . '\CountryController@index']);
    $router->get('cms/countries/count', ['as' => 'country', 'uses' => $path . '\CountryController@count']);
    $router->get('cms/countries/search', ['as' => 'country', 'uses' => $path . '\CountryController@search']);
    $router->post('cms/countries', ['as' => 'country', 'uses' => $path . '\CountryController@store']);
});