<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// Colors api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Colors";
    $router->get('colors', ['as' => 'colors', 'uses' => $path . '\ColorController@index']);
    $router->post('colors', ['as' => 'colors', 'uses' => $path . '\ColorController@store']);
    $router->put('colors/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@update']);
    $router->delete('colors/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@delete']);
    $router->get('color/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@show']);
    $router->get('colors/count', ['as' => 'colors', 'uses' => $path . '\ColorController@count']);
});

//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Colors";
    $router->get('colors', ['as' => 'colors', 'uses' => $path . '\ColorController@index']);
    $router->post('colors', ['as' => 'colors', 'uses' => $path . '\ColorController@store']);
    $router->put('colors/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@update']);
    $router->delete('colors/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@delete']);
    $router->get('color/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@show']);
    $router->get('colors/count', ['as' => 'colors', 'uses' => $path . '\ColorController@count']);
});


//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Colors";
    $router->get('colors', ['as' => 'colors', 'uses' => $path . '\ColorController@index']);
    $router->post('colors', ['as' => 'colors', 'uses' => $path . '\ColorController@store']);
    $router->put('colors/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@update']);
    $router->delete('colors/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@delete']);
    $router->get('color/{id}', ['as' => 'colors', 'uses' => $path . '\ColorController@show']);
    $router->get('colors/count', ['as' => 'colors', 'uses' => $path . '\ColorController@count']);
});