<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */


// faq api

$router->group(['prefix' => 'api/v2/','middleware' => 'language'], function () use ($router) 
{
    $path = "DidYouKnow";

    /*  App api */
    $router->get('did-you-know/list', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@didYouKnow']);
    /* App api */
});
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "DidYouKnow";

    $router->get('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@show']);
    $router->get('did-you-know', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@index']);
    $router->post('did-you-know', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@store']);
    $router->put('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@update']);

    $router->delete('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@delete']);
    $router->put('did-you-know/{id}/active-inactive', ['as' => 'cms', 'uses' => $path . '\DidYouKnowController@activeInactive']);

    /*
    $router->put('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@update']);
    $router->delete('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@delete']);
    $router->get('brand/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@show']);
    $router->get('brands/count', ['as' => 'brands', 'uses' => $path . '\BrandController@count']);*/
});

//**** Subcodevs v3 api ******/


$router->group(['prefix' => 'api/v3/','middleware' => 'language'], function () use ($router) 
{
    $path = "v3\DidYouKnow";

    /*  App api */
    $router->get('did-you-know/list', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@didYouKnow']);
    /* App api */
});
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\DidYouKnow";

    $router->get('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@show']);
    $router->get('did-you-know', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@index']);
    $router->post('did-you-know', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@store']);
    $router->put('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@update']);

    $router->delete('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@delete']);
    $router->put('did-you-know/{id}/active-inactive', ['as' => 'cms', 'uses' => $path . '\DidYouKnowController@activeInactive']);

    /*
    $router->put('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@update']);
    $router->delete('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@delete']);
    $router->get('brand/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@show']);
    $router->get('brands/count', ['as' => 'brands', 'uses' => $path . '\BrandController@count']);*/
});

//**** Subcodevs v4 api ******/


$router->group(['prefix' => 'api/v4/','middleware' => 'language'], function () use ($router) 
{
    $path = "v4\DidYouKnow";

    /*  App api */
    $router->get('did-you-know/list', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@didYouKnow']);
    /* App api */
});
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\DidYouKnow";

    $router->get('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@show']);
    $router->get('did-you-know', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@index']);
    $router->post('did-you-know', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@store']);
    $router->put('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@update']);

    $router->delete('did-you-know/{id}', ['as' => 'did-you-know', 'uses' => $path . '\DidYouKnowController@delete']);
    $router->put('did-you-know/{id}/active-inactive', ['as' => 'cms', 'uses' => $path . '\DidYouKnowController@activeInactive']);

    /*
    $router->put('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@update']);
    $router->delete('brands/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@delete']);
    $router->get('brand/{id}', ['as' => 'brands', 'uses' => $path . '\BrandController@show']);
    $router->get('brands/count', ['as' => 'brands', 'uses' => $path . '\BrandController@count']);*/
});
