<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// Enquiry api
$router->group(['prefix' => 'api/v2/'], function () use ($router) 
{
    $path = "Enquiry";
    $router->get('enquiries', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@index']);
    $router->post('enquiries', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@store']);
    $router->get('enquiries/count', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@count']);
    $router->get('enquiries/search', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@index']);
    $router->get('enquiries/{id}', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@show']);
    $router->delete('enquiries/{id}', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@delete']);
    $router->put('enquiries/{id}/closed', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@closemark']);
});

//**** Subcodevs v3 api ******/


// Enquiry api
$router->group(['prefix' => 'api/v3/'], function () use ($router) 
{
    $path = "v3\Enquiry";
    $router->get('enquiries', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@index']);
    $router->post('enquiries', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@store']);
    $router->get('enquiries/count', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@count']);
    $router->get('enquiries/search', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@index']);
    $router->get('enquiries/{id}', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@show']);
    $router->delete('enquiries/{id}', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@delete']);
    $router->put('enquiries/{id}/closed', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@closemark']);
});

//**** Subcodevs v4 api ******/


// Enquiry api
$router->group(['prefix' => 'api/v4/'], function () use ($router) 
{
    $path = "v4\Enquiry";
    $router->get('enquiries', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@index']);
    $router->post('enquiries', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@store']);
    $router->get('enquiries/count', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@count']);
    $router->get('enquiries/search', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@index']);
    $router->get('enquiries/{id}', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@show']);
    $router->delete('enquiries/{id}', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@delete']);
    $router->put('enquiries/{id}/closed', ['as' => 'enquiry', 'uses' => $path . '\EnquiryController@closemark']);
});
