<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */


// faq api

$router->group(['prefix' => 'api/v2/','middleware' => 'language'], function () use ($router) 
{
    $path = "Faq";
    /*  App api */
    $router->get('faq', ['as' => 'cms', 'uses' => $path . '\FaqController@faqs']);
    /* App api */

});  
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Faq";

    $router->get('faq/{locale}', ['as' => 'faq', 'uses' => $path . '\FaqController@index']);
    $router->get('faq-edit/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@edit']);
    $router->delete('faq-delete/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@delete']);
    $router->post('faq', ['as' => 'faq', 'uses' => $path . '\FaqController@store']);
    $router->put('faq-update/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@update']);

    $router->put('faq/{id}/active_inactive', ['as' => 'faq', 'uses' => $path . '\FaqController@activeInactive']);

});

//**** Subcodevs v3 api ******/


$router->group(['prefix' => 'api/v3/','middleware' => 'language'], function () use ($router) 
{
    $path = "v3\Faq";
    /*  App api */
    $router->get('faq', ['as' => 'cms', 'uses' => $path . '\FaqController@faqs']);
    /* App api */

});  
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Faq";

    $router->get('faq/{locale}', ['as' => 'faq', 'uses' => $path . '\FaqController@index']);
    $router->get('faq-edit/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@edit']);
    $router->delete('faq-delete/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@delete']);
    $router->post('faq', ['as' => 'faq', 'uses' => $path . '\FaqController@store']);
    $router->put('faq-update/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@update']);

    $router->put('faq/{id}/active_inactive', ['as' => 'faq', 'uses' => $path . '\FaqController@activeInactive']);

});

//**** Subcodevs v4 api ******/


$router->group(['prefix' => 'api/v4/','middleware' => 'language'], function () use ($router) 
{
    $path = "v4\Faq";
    /*  App api */
    $router->get('faq', ['as' => 'cms', 'uses' => $path . '\FaqController@faqs']);
    /* App api */

});  
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Faq";

    $router->get('faq/{locale}', ['as' => 'faq', 'uses' => $path . '\FaqController@index']);
    $router->get('faq-edit/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@edit']);
    $router->delete('faq-delete/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@delete']);
    $router->post('faq', ['as' => 'faq', 'uses' => $path . '\FaqController@store']);
    $router->put('faq-update/{id}', ['as' => 'faq', 'uses' => $path . '\FaqController@update']);

    $router->put('faq/{id}/active_inactive', ['as' => 'faq', 'uses' => $path . '\FaqController@activeInactive']);

});
