<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// Group api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Groups";
    $router->get('groups/notifications', ['as' => 'group', 'uses' => $path . '\GroupController@upcomigEvents']);
    $router->post('groups', ['as' => 'group', 'uses' => $path . '\GroupController@store']);
    $router->get('groups', ['as' => 'group', 'uses' => $path . '\GroupController@index']);
    $router->put('group/{id}', ['as' => 'group', 'uses' => $path . '\GroupController@update']);
    $router->delete('group/{id}', ['as' => 'group', 'uses' => $path . '\GroupController@delete']);
});

// Group member api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Groups";
    $router->get('groups/{id}/members', ['as' => 'group', 'uses' => $path . '\GroupMemberController@index']);
    $router->post('groups/{id}/members', ['as' => 'group', 'uses' => $path . '\GroupMemberController@store']);
    $router->put('groups/{id}/members/{memberId}', ['as' => 'group', 'uses' => $path . '\GroupMemberController@update']);
    $router->delete('groups/{id}/members/{memberId}', ['as' => 'group', 'uses' => $path . '\GroupMemberController@delete']);
});

//**** Subcodevs v3 api ******/

// Group api
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Groups";
    $router->get('groups/notifications', ['as' => 'group', 'uses' => $path . '\GroupController@upcomigEvents']);
    $router->post('groups', ['as' => 'group', 'uses' => $path . '\GroupController@store']);
    $router->get('groups', ['as' => 'group', 'uses' => $path . '\GroupController@index']);
    $router->put('group/{id}', ['as' => 'group', 'uses' => $path . '\GroupController@update']);
    $router->delete('group/{id}', ['as' => 'group', 'uses' => $path . '\GroupController@delete']);
});

// Group member api
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Groups";
    $router->get('groups/{id}/members', ['as' => 'group', 'uses' => $path . '\GroupMemberController@index']);
    $router->post('groups/{id}/members', ['as' => 'group', 'uses' => $path . '\GroupMemberController@store']);
    $router->put('groups/{id}/members/{memberId}', ['as' => 'group', 'uses' => $path . '\GroupMemberController@update']);
    $router->delete('groups/{id}/members/{memberId}', ['as' => 'group', 'uses' => $path . '\GroupMemberController@delete']);
});

//**** Subcodevs v4 api ******/

// Group api
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Groups";
    $router->get('groups/notifications', ['as' => 'group', 'uses' => $path . '\GroupController@upcomigEvents']);
    $router->post('groups', ['as' => 'group', 'uses' => $path . '\GroupController@store']);
    $router->get('groups', ['as' => 'group', 'uses' => $path . '\GroupController@index']);
    $router->put('group/{id}', ['as' => 'group', 'uses' => $path . '\GroupController@update']);
    $router->delete('group/{id}', ['as' => 'group', 'uses' => $path . '\GroupController@delete']);
});

// Group member api
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Groups";
    $router->get('groups/{id}/members', ['as' => 'group', 'uses' => $path . '\GroupMemberController@index']);
    $router->post('groups/{id}/members', ['as' => 'group', 'uses' => $path . '\GroupMemberController@store']);
    $router->put('groups/{id}/members/{memberId}', ['as' => 'group', 'uses' => $path . '\GroupMemberController@update']);
    $router->delete('groups/{id}/members/{memberId}', ['as' => 'group', 'uses' => $path . '\GroupMemberController@delete']);
});