<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


// Customers API
$router->group(['prefix' => 'api/v2/'], function () use ($router) {
    
    $path = "MembershipPlan";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        $router->get('membership-plans', ['as' => 'membership-plans', 'uses' => $path.'\MembershipPlanController@index']);

        $router->put('membership-plans/{id}/active-inactive', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@activeInactive']);

        $router->delete('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@deletePlan']);

        $router->post('membership-plans', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@store']);

        $router->get('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@show']);

        $router->put('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@update']);

        $router->get('purchase-history', ['as' => 'purchase-history', 'uses' => $path.'\MembershipPlanController@purchaseHistory']);

        // dashboard

        $router->get('total-revenue', ['as' => 'total-revenue', 'uses' => $path.'\MembershipPlanController@totalRevenue']);
        $router->get('current-month-subscription', ['as' => 'current-month-subscription', 'uses' => $path.'\MembershipPlanController@currentMonthSubscription']);

        $router->get('latest-transactions', ['as' => 'latest-transactions', 'uses' => $path.'\MembershipPlanController@latestTransactions']);

        $router->get('latest-transactions-2', ['as' => 'latest-transactions', 'uses' => $path.'\MembershipPlanController@latestTransactions2']);

        $router->get('sales-report', ['as' => 'sales-report', 'uses' => $path.'\MembershipPlanController@salesReport']);

        $router->get('sales-report-filter', ['as' => 'sales-report-filter', 'uses' => $path.'\MembershipPlanController@salesReportFilter']);

    });
});


//**** Subcodevs v3 api ******/


// Customers API
$router->group(['prefix' => 'api/v3/'], function () use ($router) {
    
    $path = "v3\MembershipPlan";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        $router->get('membership-plans', ['as' => 'membership-plans', 'uses' => $path.'\MembershipPlanController@index']);

        $router->put('membership-plans/{id}/active-inactive', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@activeInactive']);

        $router->delete('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@deletePlan']);

        $router->post('membership-plans', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@store']);

        $router->get('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@show']);

        $router->put('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@update']);

        $router->get('purchase-history', ['as' => 'purchase-history', 'uses' => $path.'\MembershipPlanController@purchaseHistory']);

        // dashboard

        $router->get('total-revenue', ['as' => 'total-revenue', 'uses' => $path.'\MembershipPlanController@totalRevenue']);
        $router->get('current-month-subscription', ['as' => 'current-month-subscription', 'uses' => $path.'\MembershipPlanController@currentMonthSubscription']);

        $router->get('latest-transactions', ['as' => 'latest-transactions', 'uses' => $path.'\MembershipPlanController@latestTransactions']);

        $router->get('latest-transactions-2', ['as' => 'latest-transactions', 'uses' => $path.'\MembershipPlanController@latestTransactions2']);

        $router->get('sales-report', ['as' => 'sales-report', 'uses' => $path.'\MembershipPlanController@salesReport']);

        $router->get('sales-report-filter', ['as' => 'sales-report-filter', 'uses' => $path.'\MembershipPlanController@salesReportFilter']);

    });
});


//**** Subcodevs v4 api ******/


// Customers API
$router->group(['prefix' => 'api/v4/'], function () use ($router) {
    
    $path = "v4\MembershipPlan";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        $router->get('membership-plans', ['as' => 'membership-plans', 'uses' => $path.'\MembershipPlanController@index']);

        $router->put('membership-plans/{id}/active-inactive', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@activeInactive']);
        
        $router->delete('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@deletePlan']);

        $router->post('membership-plans', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@store']);

        $router->get('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@show']);

        $router->put('membership-plans/{id}', ['as' => 'membership-plans', 'uses' => $path . '\MembershipPlanController@update']);

        $router->get('purchase-history', ['as' => 'purchase-history', 'uses' => $path.'\MembershipPlanController@purchaseHistory']);

        // dashboard

        $router->get('total-revenue', ['as' => 'total-revenue', 'uses' => $path.'\MembershipPlanController@totalRevenue']);
        $router->get('current-month-subscription', ['as' => 'current-month-subscription', 'uses' => $path.'\MembershipPlanController@currentMonthSubscription']);

        $router->get('latest-transactions', ['as' => 'latest-transactions', 'uses' => $path.'\MembershipPlanController@latestTransactions']);

        $router->get('latest-transactions-2', ['as' => 'latest-transactions', 'uses' => $path.'\MembershipPlanController@latestTransactions2']);

        $router->get('sales-report', ['as' => 'sales-report', 'uses' => $path.'\MembershipPlanController@salesReport']);

        $router->get('sales-report-filter', ['as' => 'sales-report-filter', 'uses' => $path.'\MembershipPlanController@salesReportFilter']);
        $router->get('get-plan-type',['as' => 'plan_type', 'uses' => $path.'\MembershipPlanController@plan_type']);
    });
});
