<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// Notification api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Notification";
    $router->get('notifications', ['as' => 'notifications', 'uses' => $path . '\NotificationController@index']);
    $router->get('notifications/{id}', ['as' => 'notifications', 'uses' => $path . '\NotificationController@show']);
    $router->get('notifications/{id}/mark_read', ['as' => 'notifications', 'uses' => $path . '\NotificationController@markAsRead']);
    $router->delete('notifications/{id}', ['as' => 'notifications', 'uses' => $path . '\NotificationController@update']);
    //$router->get('notifications/user', ['as' => 'notifications', 'uses' => $path . '\NotificationController@allNotifications']);
});

//**** Subcodevs v3 api ******/

// Notification api
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Notification";
    $router->get('notifications', ['as' => 'notifications', 'uses' => $path . '\NotificationController@index']);
    $router->get('notifications/{id}', ['as' => 'notifications', 'uses' => $path . '\NotificationController@show']);
    $router->get('notifications/{id}/mark_read', ['as' => 'notifications', 'uses' => $path . '\NotificationController@markAsRead']);
    $router->delete('notifications/{id}', ['as' => 'notifications', 'uses' => $path . '\NotificationController@update']);
    //$router->get('notifications/user', ['as' => 'notifications', 'uses' => $path . '\NotificationController@allNotifications']);
});


//**** Subcodevs v4 api ******/

// Notification api
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Notification";
    $router->get('notifications', ['as' => 'notifications', 'uses' => $path . '\NotificationController@index']);
    $router->get('notifications/{id}', ['as' => 'notifications', 'uses' => $path . '\NotificationController@show']);
    $router->get('notifications/{id}/mark_read', ['as' => 'notifications', 'uses' => $path . '\NotificationController@markAsRead']);
    $router->delete('notifications/{id}', ['as' => 'notifications', 'uses' => $path . '\NotificationController@update']);
    //$router->get('notifications/user', ['as' => 'notifications', 'uses' => $path . '\NotificationController@allNotifications']);
});
