<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// Orders api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Orders";
    $router->get('orders', ['as' => 'orders', 'uses' => $path . '\OrderController@index']);
    $router->post('orders', ['as' => 'orders', 'uses' => $path . '\OrderController@store']);
    $router->get('orders/search', ['as' => 'orders', 'uses' => $path . '\OrderController@index']);
    $router->get('orders/{id}', ['as' => 'orders', 'uses' => $path . '\OrderController@show']);
    $router->delete('orders/{id}', ['as' => 'orders', 'uses' => $path . '\OrderController@delete']);
    $router->put('orders/{id}/change_status', ['as' => 'orders', 'uses' => $path . '\OrderController@updateStatus']);
    $router->put('order/{id}/commission_paid', ['as' => 'orders', 'uses' => $path . '\OrderController@commissionPaid']);
    $router->get('orders_count', ['as' => 'orders', 'uses' => $path . '\OrderController@count']);
});


//**** Subcodevs v3 api ******/


// Orders api
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Orders";
    $router->get('orders', ['as' => 'orders', 'uses' => $path . '\OrderController@index']);
    $router->post('orders', ['as' => 'orders', 'uses' => $path . '\OrderController@store']);
    $router->get('orders/search', ['as' => 'orders', 'uses' => $path . '\OrderController@index']);
    $router->get('orders/{id}', ['as' => 'orders', 'uses' => $path . '\OrderController@show']);
    $router->delete('orders/{id}', ['as' => 'orders', 'uses' => $path . '\OrderController@delete']);
    $router->put('orders/{id}/change_status', ['as' => 'orders', 'uses' => $path . '\OrderController@updateStatus']);
    $router->put('order/{id}/commission_paid', ['as' => 'orders', 'uses' => $path . '\OrderController@commissionPaid']);
    $router->get('orders_count', ['as' => 'orders', 'uses' => $path . '\OrderController@count']);
});



//**** Subcodevs v4 api ******/


// Orders api
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Orders";
    $router->get('orders', ['as' => 'orders', 'uses' => $path . '\OrderController@index']);
    $router->post('orders', ['as' => 'orders', 'uses' => $path . '\OrderController@store']);
    $router->get('orders/search', ['as' => 'orders', 'uses' => $path . '\OrderController@index']);
    $router->get('orders/{id}', ['as' => 'orders', 'uses' => $path . '\OrderController@show']);
    $router->delete('orders/{id}', ['as' => 'orders', 'uses' => $path . '\OrderController@delete']);
    $router->put('orders/{id}/change_status', ['as' => 'orders', 'uses' => $path . '\OrderController@updateStatus']);
    $router->put('order/{id}/commission_paid', ['as' => 'orders', 'uses' => $path . '\OrderController@commissionPaid']);
    $router->get('orders_count', ['as' => 'orders', 'uses' => $path . '\OrderController@count']);
});
