<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


// Providers API
$router->group(['prefix' => 'api/v2/'], function () use ($router) {
    
    $path = "Providers";
    
    $router->get('test-email', ['as' => 'users', 'uses' => $path . '\ProviderController@testEmail']);
    // here
    $router->post('providers/register-step-1', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep1']);

    $router->post('verify-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@verifyTwoFactor']);

    $router->post('sent-forgot-password-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@forgotPasswordOtp']);

    $router->post('verify-forgot-password-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@verifyForgotPasswordOtp']);

    $router->post('forgot-password', ['as' => 'providers', 'uses' => $path.'\ProviderController@forgotPassword']);

    $router->post('providers/confirm-email', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerConfirmEmail']);

    $router->get('specialization-list', ['as' => 'users', 'uses' => $path . '\ProviderController@specializationList']);

    $router->get('language-list', ['as' => 'users', 'uses' => $path . '\ProviderController@languageList']);

    $router->post('state-list', ['as' => 'users', 'uses' => $path . '\ProviderController@StateList']);


    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        
        $router->post('provider-set-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerSetPin']);

        $router->post('provider-change-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerChangePin']);

        $router->post('provider-reset-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerResetPin']);
        
        $router->post('provider-match-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMatchPin']);
        

        $router->post('providers/register-step-2', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep2']);

        $router->post('provider-delete-license', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteLicense']);

        $router->post('providers/register-step-3', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep3']);

        $router->post('provider-delete-certificate', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteCertificate']);

        $router->post('providers/register-step-4', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep4']);

        $router->post('provider-delete-verification-doc', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteVerificationDoc']);

        $router->post('create-professional-reference', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerProfessionalReferences']);

        $router->post('providers/register-step-5', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep5']);

        $router->post('provider-change-password', ['as' => 'providers', 'uses' => $path.'\ProviderController@changePassword']);

        $router->get('provider-my-profile', ['as' => 'providers', 'uses' => $path.'\ProviderController@profile']);

        $router->post('update-provider-profile-step-1', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProviderProfileStep1']);



        $router->post('provider-availability-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAvailabilityCreate']);

        $router->post('provider-test-availability-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerTestAvailabilityCreate']);

        $router->post('provider-availability-update', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerAvailabilityUpdate']);

        $router->get('provider-availability-list', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAvailabilityList']);

        $router->delete('provider-availability-delete[/{day}[/{datetime}]]', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerAvailabilityDelete']);

        $router->post('provider-manage-time-off-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerManageTimeOffCreate']);

        $router->post('provider-manage-time-off-update', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerManageTimeOffUpdate']);

        $router->get('provider-manage-time-off-list', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerManageTimeOffList']);

        $router->delete('provider-manage-time-off-delete/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerManageTimeOffDelete']);

        $router->post('provider-my-appointments', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMyAppointmentsV2']);
       

        $router->post('provider-add-appointment-note', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAddAppointmentNote']);

        $router->get('providers/view-appointment/{id}', ['as' => 'users', 'uses' => $path.'\ProviderController@providerViewAppointment']);

        $router->get('provider-rating-reviews', ['as' => 'users', 'uses' => $path.'\ProviderController@providerRatingReviews']);


        $router->post('provider-follow-up-message', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerFollowUpMessage']);    

        $router->get('providers/chat-room', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerChatRoom']);  

        $router->get('providers/chat/{id}/messages', ['as' => 'chat', 'uses' => $path.'\ProviderController@getMessageById']); 

        $router->post('providers/send-message', ['as' => 'providers', 'uses' => $path.'\ProviderController@sendMessageById']); 

        $router->put('providers/delete/chat-room/{id}', ['as' => 'chat', 'uses' => $path.'\ProviderController@deleteChatRoom']);

        $router->get('providers/audio-video-session-list', ['as' => 'chat', 'uses' => $path.'\ProviderController@providerAudioVideoSessionList']);

        $router->post('providers/two-factor-enable-disable', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerTwoFactorEnableDisable']); 

        $router->post('providers/session-token', ['as' => 'providers', 'uses' => $path.'\ProviderController@sessionToken']);
        $router->post('providers/join-session', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerJoinSession']);

        $router->post('providers/save-video-session-detail', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerSaveVideoSessionDetail']); 

        $router->get('providers/no-show-time', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNoShowTime']); 

        $router->get('providers/rejection-reason', ['as' => 'users', 'uses' => $path . '\ProviderController@providerRejectionReason']); 

        $router->get('providers/notifications', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNotifications']);

        $router->post('providers/notification-setting', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNotificationSetting']);

        $router->get('providers/notification-setting-list', ['as' => 'users', 'uses' => $path.'\ProviderController@providerNotificationSettingList']);

        $router->post('providers/notification-to-customer', ['as' => 'providers', 'uses' => $path.'\ProviderController@noShowNotificationToCustomer']); 

        $router->post('providers/session-did-not-join-notification-to-customer', ['as' => 'providers', 'uses' => $path.'\ProviderController@sessionDidNotJoinNotificationToCustomer']); 

        $router->post('providers/delete-provider-account', ['as' => 'providers', 'uses' => $path.'\ProviderController@deleteProviderAccount']); 



        $router->get('providers', ['as' => 'providers', 'uses' => $path . '\ProviderController@index']);

        $router->put('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@approveProvider']);

        $router->put('providers/reject/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@rejectProvider']);

        $router->put('providers/unblock/{id}', ['as' => 'users', 'uses' => $path . '\ProviderController@unblockProvider']);

        $router->delete('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@deleteProvider']);

        $router->put('providers/{id}/active-inactive', ['as' => 'providers', 'uses' => $path . '\ProviderController@activeInactive']);

        $router->get('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@show']);

        $router->post('providers/update/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProvider']);

        $router->post('providers/update-verification/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateVerification']);

        $router->put('providers/update-professional-reference/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProfessionalReference']);

        $router->post('providers/update-additional-certificate/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateAdditionalCertificate']);

        $router->post('providers/update-license/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateLicense']);


        // dashboard
            $router->get('providers-count', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerCount']);
        //

            $router->get('provider-download/{file}', ['as' => 'users', 'uses' => $path.'\ProviderController@download']);
        
    });
});

//**** Subcodevs v3 api ******/


// Providers API
$router->group(['prefix' => 'api/v3/'], function () use ($router) {
    
    $path = "v3\Providers";
    
    $router->get('test-email', ['as' => 'users', 'uses' => $path . '\ProviderController@testEmail']);
    // here
    $router->post('providers/register-step-1', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep1']);

    $router->post('verify-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@verifyTwoFactor']);

    $router->post('sent-forgot-password-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@forgotPasswordOtp']);

    $router->post('verify-forgot-password-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@verifyForgotPasswordOtp']);

    $router->post('forgot-password', ['as' => 'providers', 'uses' => $path.'\ProviderController@forgotPassword']);

    $router->post('providers/confirm-email', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerConfirmEmail']);

    $router->get('specialization-list', ['as' => 'users', 'uses' => $path . '\ProviderController@specializationList']);

    $router->get('language-list', ['as' => 'users', 'uses' => $path . '\ProviderController@languageList']);

    $router->post('state-list', ['as' => 'users', 'uses' => $path . '\ProviderController@StateList']);

    $router->post('providers/send-otp', ['as' => 'providers', 'uses' => $path . '\ProviderController@sendOTP']);
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        
        $router->post('provider-set-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerSetPin']);

        $router->post('provider-change-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerChangePin']);

        $router->post('provider-reset-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerResetPin']);
        
        $router->post('provider-match-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMatchPin']);
        

        $router->post('providers/register-step-2', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep2']);

        $router->post('provider-delete-license', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteLicense']);

        $router->post('providers/register-step-3', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep3']);

        $router->post('provider-delete-certificate', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteCertificate']);

        $router->post('providers/register-step-4', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep4']);

        $router->post('provider-delete-verification-doc', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteVerificationDoc']);

        $router->post('create-professional-reference', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerProfessionalReferences']);

        $router->post('providers/register-step-5', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep5']);

        $router->post('provider-change-password', ['as' => 'providers', 'uses' => $path.'\ProviderController@changePassword']);

        $router->get('provider-my-profile', ['as' => 'providers', 'uses' => $path.'\ProviderController@profile']);

        $router->post('update-provider-profile-step-1', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProviderProfileStep1']);



        $router->post('provider-availability-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAvailabilityCreate']);

        $router->post('provider-test-availability-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerTestAvailabilityCreate']);

        $router->post('provider-availability-update', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerAvailabilityUpdate']);

        $router->get('provider-availability-list', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAvailabilityList']);

        $router->delete('provider-availability-delete[/{day}]', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerAvailabilityDelete']);

        $router->post('provider-manage-time-off-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerManageTimeOffCreate']);

        $router->post('provider-manage-time-off-update', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerManageTimeOffUpdate']);

        $router->get('provider-manage-time-off-list', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerManageTimeOffList']);

        $router->delete('provider-manage-time-off-delete/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerManageTimeOffDelete']);

        //$router->post('provider-my-appointments', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMyAppointmentsV2']);
        $router->post('provider-my-appointments', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMyAppointmentsV2_sd']);

        $router->post('provider-add-appointment-note', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAddAppointmentNote']);

        $router->get('providers/view-appointment/{id}', ['as' => 'users', 'uses' => $path.'\ProviderController@providerViewAppointment']);

        $router->get('provider-rating-reviews', ['as' => 'users', 'uses' => $path.'\ProviderController@providerRatingReviews']);


        $router->post('provider-follow-up-message', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerFollowUpMessage']);    

        $router->get('providers/chat-room', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerChatRoom']);  

        $router->get('providers/chat/{id}/messages', ['as' => 'chat', 'uses' => $path.'\ProviderController@getMessageById']); 

        $router->post('providers/send-message', ['as' => 'providers', 'uses' => $path.'\ProviderController@sendMessageById']); 

        $router->put('providers/delete/chat-room/{id}', ['as' => 'chat', 'uses' => $path.'\ProviderController@deleteChatRoom']);

        $router->get('providers/audio-video-session-list', ['as' => 'chat', 'uses' => $path.'\ProviderController@providerAudioVideoSessionList']);

        $router->post('providers/two-factor-enable-disable', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerTwoFactorEnableDisable']); 

        $router->post('providers/session-token', ['as' => 'providers', 'uses' => $path.'\ProviderController@sessionToken']);
        $router->post('providers/join-session', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerJoinSession']);

        $router->post('providers/save-video-session-detail', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerSaveVideoSessionDetail']); 

        $router->get('providers/no-show-time', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNoShowTime']); 

        $router->get('providers/rejection-reason', ['as' => 'users', 'uses' => $path . '\ProviderController@providerRejectionReason']); 

        $router->get('providers/notifications', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNotifications']);

        $router->post('providers/notification-setting', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNotificationSetting']);

        $router->get('providers/notification-setting-list', ['as' => 'users', 'uses' => $path.'\ProviderController@providerNotificationSettingList']);

        $router->post('providers/notification-to-customer', ['as' => 'providers', 'uses' => $path.'\ProviderController@noShowNotificationToCustomer']); 

        $router->post('providers/session-did-not-join-notification-to-customer', ['as' => 'providers', 'uses' => $path.'\ProviderController@sessionDidNotJoinNotificationToCustomer']); 

        $router->post('providers/delete-provider-account', ['as' => 'providers', 'uses' => $path.'\ProviderController@deleteProviderAccount']); 



        $router->get('providers', ['as' => 'providers', 'uses' => $path . '\ProviderController@index']);

        $router->put('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@approveProvider']);

        $router->put('providers/reject/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@rejectProvider']);

        $router->put('providers/unblock/{id}', ['as' => 'users', 'uses' => $path . '\ProviderController@unblockProvider']);

        $router->delete('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@deleteProvider']);

        $router->put('providers/{id}/active-inactive', ['as' => 'providers', 'uses' => $path . '\ProviderController@activeInactive']);

        $router->get('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@show']);

        $router->post('providers/update/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProvider']);

        $router->post('providers/update-verification/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateVerification']);

        $router->put('providers/update-professional-reference/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProfessionalReference']);

        $router->post('providers/update-additional-certificate/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateAdditionalCertificate']);

        $router->post('providers/update-license/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateLicense']);

        $router->post('provider_license_update_request', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerLicenseUpdateRequest']);
        
        $router->put('providers/provider-license-update-request-approve/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerLicenseUpdateRequestApprove']);
        
        $router->put('providers/provider-license-update-request-reject/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerLicenseUpdateRequestReject']);
        
        $router->post('provider-license-upload', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerLicenseUpload']);


        // dashboard
            $router->get('providers-count', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerCount']);
        //

            $router->get('provider-download/{file}', ['as' => 'users', 'uses' => $path.'\ProviderController@download']);
        
    });
});

//**** Subcodevs v4 api ******/


// Providers API
$router->group(['prefix' => 'api/v4/'], function () use ($router) {
    
    $path = "v4\Providers";
    
    $router->get('test-email', ['as' => 'users', 'uses' => $path . '\ProviderController@testEmail']);
    // here
    $router->post('providers/register-step-1', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep1']);

    $router->post('verify-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@verifyTwoFactor']);

    $router->post('sent-forgot-password-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@forgotPasswordOtp']);

    $router->post('verify-forgot-password-otp', ['as' => 'providers', 'uses' => $path.'\ProviderController@verifyForgotPasswordOtp']);

    $router->post('forgot-password', ['as' => 'providers', 'uses' => $path.'\ProviderController@forgotPassword']);

    $router->post('providers/confirm-email', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerConfirmEmail']);

    $router->get('specialization-list', ['as' => 'users', 'uses' => $path . '\ProviderController@specializationList']);

    $router->get('language-list', ['as' => 'users', 'uses' => $path . '\ProviderController@languageList']);

    $router->post('state-list', ['as' => 'users', 'uses' => $path . '\ProviderController@StateList']);

    $router->post('set-acccount-stripe-data', ['as' => 'users', 'uses' => $path.'\ProviderController@setStripeAcccountData']);
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

        
        $router->post('provider-set-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerSetPin']);

        $router->post('provider-change-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerChangePin']);

        $router->post('provider-reset-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerResetPin']);
        
        $router->post('provider-match-pin', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMatchPin']);
        

        $router->post('providers/register-step-2', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep2']);

        $router->post('provider-delete-license', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteLicense']);

        $router->post('providers/register-step-3', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep3']);

        $router->post('provider-delete-certificate', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteCertificate']);

        $router->post('providers/register-step-4', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep4']);

        $router->post('provider-delete-verification-doc', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerDeleteVerificationDoc']);

        $router->post('create-professional-reference', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerProfessionalReferences']);

        $router->post('providers/register-step-5', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerRegisterStep5']);

        $router->post('provider-change-password', ['as' => 'providers', 'uses' => $path.'\ProviderController@changePassword']);

        $router->get('provider-my-profile', ['as' => 'providers', 'uses' => $path.'\ProviderController@profile']);

        $router->post('update-provider-profile-step-1', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProviderProfileStep1']);



        $router->post('provider-availability-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAvailabilityCreate']);

        $router->post('provider-test-availability-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerTestAvailabilityCreate']);

        $router->post('provider-availability-update', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerAvailabilityUpdate']);

        $router->get('provider-availability-list', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAvailabilityList']);

        $router->delete('provider-availability-delete[/{day}]', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerAvailabilityDelete']);

        $router->post('provider-manage-time-off-create', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerManageTimeOffCreate']);

        $router->post('provider-manage-time-off-update', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerManageTimeOffUpdate']);

        $router->get('provider-manage-time-off-list', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerManageTimeOffList']);

        $router->delete('provider-manage-time-off-delete/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerManageTimeOffDelete']);

        //$router->post('provider-my-appointments', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMyAppointmentsV2']);
        $router->post('provider-my-appointments', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerMyAppointmentsV2_sd']);

        $router->post('provider-add-appointment-note', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerAddAppointmentNote']);

        $router->get('providers/view-appointment/{id}', ['as' => 'users', 'uses' => $path.'\ProviderController@providerViewAppointment']);

        $router->get('provider-rating-reviews', ['as' => 'users', 'uses' => $path.'\ProviderController@providerRatingReviews']);


        $router->post('provider-follow-up-message', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerFollowUpMessage']);    

        $router->get('providers/chat-room', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerChatRoom']);  

        $router->get('providers/chat/{id}/messages', ['as' => 'chat', 'uses' => $path.'\ProviderController@getMessageById']); 

        $router->post('providers/send-message', ['as' => 'providers', 'uses' => $path.'\ProviderController@sendMessageById']); 

        $router->put('providers/delete/chat-room/{id}', ['as' => 'chat', 'uses' => $path.'\ProviderController@deleteChatRoom']);

        $router->get('providers/audio-video-session-list', ['as' => 'chat', 'uses' => $path.'\ProviderController@providerAudioVideoSessionList']);

        $router->post('providers/two-factor-enable-disable', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerTwoFactorEnableDisable']); 

        $router->post('providers/session-token', ['as' => 'providers', 'uses' => $path.'\ProviderController@sessionToken']);
        $router->post('providers/join-session', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerJoinSession']);

        $router->post('providers/save-video-session-detail', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerSaveVideoSessionDetail']); 

        $router->get('providers/no-show-time', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNoShowTime']); 

        $router->get('providers/rejection-reason', ['as' => 'users', 'uses' => $path . '\ProviderController@providerRejectionReason']); 

        $router->get('providers/notifications', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNotifications']);

        $router->post('providers/notification-setting', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerNotificationSetting']);

        $router->get('providers/notification-setting-list', ['as' => 'users', 'uses' => $path.'\ProviderController@providerNotificationSettingList']);

        $router->post('providers/notification-to-customer', ['as' => 'providers', 'uses' => $path.'\ProviderController@noShowNotificationToCustomer']); 

        $router->post('providers/session-did-not-join-notification-to-customer', ['as' => 'providers', 'uses' => $path.'\ProviderController@sessionDidNotJoinNotificationToCustomer']); 

        $router->post('providers/delete-provider-account', ['as' => 'providers', 'uses' => $path.'\ProviderController@deleteProviderAccount']); 



        $router->get('providers', ['as' => 'providers', 'uses' => $path . '\ProviderController@index']);

        $router->put('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@approveProvider']);

        $router->put('providers/reject/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@rejectProvider']);

        $router->put('providers/unblock/{id}', ['as' => 'users', 'uses' => $path . '\ProviderController@unblockProvider']);

        $router->delete('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@deleteProvider']);

        $router->put('providers/{id}/active-inactive', ['as' => 'providers', 'uses' => $path . '\ProviderController@activeInactive']);

        $router->get('providers/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@show']);

        $router->post('providers/update/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProvider']);

        $router->post('providers/update-verification/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateVerification']);

        $router->put('providers/update-professional-reference/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateProfessionalReference']);

        $router->post('providers/update-additional-certificate/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateAdditionalCertificate']);

        $router->post('providers/update-license/{id}', ['as' => 'providers', 'uses' => $path.'\ProviderController@updateLicense']);

        $router->put('providers/provider-license-update-request-approve/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerLicenseUpdateRequestApprove']);
        
        $router->put('providers/provider-license-update-request-reject/{id}', ['as' => 'providers', 'uses' => $path . '\ProviderController@providerLicenseUpdateRequestReject']);


        // dashboard
            $router->get('providers-count', ['as' => 'providers', 'uses' => $path.'\ProviderController@providerCount']);
        //

            $router->get('provider-download/{file}', ['as' => 'users', 'uses' => $path.'\ProviderController@download']);
        
    });
});
