<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */

// Sizes api
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Sizes";
    $router->get('sizes', ['as' => 'sizes', 'uses' => $path . '\SizeController@index']);
    $router->post('sizes', ['as' => 'sizes', 'uses' => $path . '\SizeController@store']);
    $router->put('sizes/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@update']);
    $router->delete('sizes/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@delete']);
    $router->get('size/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@show']);
    $router->get('sizes/count', ['as' => 'sizes', 'uses' => $path . '\SizeController@count']);
});



//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Sizes";
    $router->get('sizes', ['as' => 'sizes', 'uses' => $path . '\SizeController@index']);
    $router->post('sizes', ['as' => 'sizes', 'uses' => $path . '\SizeController@store']);
    $router->put('sizes/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@update']);
    $router->delete('sizes/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@delete']);
    $router->get('size/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@show']);
    $router->get('sizes/count', ['as' => 'sizes', 'uses' => $path . '\SizeController@count']);
});



//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Sizes";
    $router->get('sizes', ['as' => 'sizes', 'uses' => $path . '\SizeController@index']);
    $router->post('sizes', ['as' => 'sizes', 'uses' => $path . '\SizeController@store']);
    $router->put('sizes/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@update']);
    $router->delete('sizes/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@delete']);
    $router->get('size/{id}', ['as' => 'sizes', 'uses' => $path . '\SizeController@show']);
    $router->get('sizes/count', ['as' => 'sizes', 'uses' => $path . '\SizeController@count']);
});