<?php
/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
*/

// Vendors ReviewAndRatings API
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router)
{

    $path = "Vendors";

    $router->get('vendor/reviews', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@index']);
    $router->get('vendor/reviews/search', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@index']);
    $router->post('vendor/reviews', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@store']);
    $router->get('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@show']);
    $router->put('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@update']);
    $router->delete('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@delete']);

    //product
    $router->post('vendors/add_product', ['as' => 'vendors', 'uses' => $path . '\VendorController@addProduct']);
});

// Vendors API
$router->group(['prefix' => 'api/v2/'], function () use ($router)
{

    $path = "Vendors";
   
    $router->post('vendors', ['as' => 'vendors', 'uses' => $path . '\VendorController@store']);

    //email verify
    $router->get('vendor/verify_email/{token}', ['as' => 'vendors', 'uses' => $path . '\VendorController@verifyEmail']);

    //otp verify
    $router->put('vendor/{id}/verify_otp', ['as' => 'vendors', 'uses' => $path . '\VendorController@verifyOtp']);

    //forgot password 
    $router->post('vendor/password_reset_link', ['as' => 'vendors', 'uses' => $path . '\ForgotPasswordController@sendResetPasswordLink']);
    $router->post('vendor/password_update/{token}', ['as' => 'vendors', 'uses' => $path . '\ForgotPasswordController@updatePassword']);


    $router->group(['middleware' => 'auth'], function () use ($router, $path)
    {

        $router->get('vendors', ['as' => 'vendors', 'uses' => $path . '\VendorController@index']);
        $router->put('vendor/{id}/update_location', ['as' => 'vendors', 'uses' => $path . '\VendorController@addDetails']);
        $router->get('vendors/search', ['as' => 'vendors', 'uses' => $path . '\VendorController@index']);
        $router->get('vendors/myinfo', ['as' => 'vendors', 'uses' => $path . '\VendorController@showMyInfo']);
        $router->get('vendors/count', ['as' => 'vendors', 'uses' => $path . '\VendorController@vendorCount']);
        $router->post('vendors/is_email_available', ['as' => 'vendors', 'uses' => $path . '\VendorController@isEmailAvailable']);
        $router->get('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@show']);
        $router->put('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@update']);
        $router->delete('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@delete']);
        $router->put('vendor/{id}/approve', ['as' => 'vendors', 'uses' => $path . '\VendorController@approve']);
        $router->put('vendor/{id}/update_email', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateEmail']);
        $router->put('vendor/{id}/update_mobile', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateNo']);
        $router->post('vendor/{id}/reset_password', ['as' => 'vendors', 'uses' => $path . '\VendorController@resetPassword']);
        $router->post('vendor/{id}/profile_picture', ['as' => 'vendors', 'uses' => $path . '\VendorController@uploadAvatar']);
        $router->get('vendor/{id}/profile_picture', ['as' => 'vendors', 'uses' => $path . '\VendorController@viewAvatar']);
        $router->put('vendor/{id}/update_categories', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateCategory']);
        $router->get('vendor/{id}/categories_count', ['as' => 'vendors', 'uses' => $path . '\VendorController@categoryCount']);
        $router->put('vendor/{id}/language', ['as' => 'vendors', 'uses' => $path . '\VendorController@changeLanguage']);
        $router->get('vendor/{id}/categories', ['as' => 'vendors', 'uses' => $path . '\VendorController@categories']);
        $router->get('vendor/{id}/products_count', ['as' => 'vendors', 'uses' => $path . '\VendorController@productCount']);
        $router->put('vendor/{id}/commission', ['as' => 'vendors', 'uses' => $path . '\VendorController@comission']);
        // my jobs
        $router->get('vendors/{id}/jobs', ['as' => 'jobs', 'uses' => $path . '\JobsController@allVendorJobs']);

    });
});

// Vendors Address API
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router)
{

    $path = "Vendors";
    $router->get('vendor/{vendor_id}/addresses', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@index']);
    $router->get('vendor/{vendor_id}/addresses/search', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@index']);
    $router->get('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@show']);
    $router->post('vendor/{vendor_id}/addresses', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@store']);
    $router->put('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@update']);
    $router->put('vendor/{vendor_id}/addresses/{address_id}/default', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@setDefaultAddress']);
    $router->delete('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@delete']);
});


//**** Subcodevs v3 api ******/

// Vendors ReviewAndRatings API
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router)
{

    $path = "v3\Vendors";

    $router->get('vendor/reviews', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@index']);
    $router->get('vendor/reviews/search', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@index']);
    $router->post('vendor/reviews', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@store']);
    $router->get('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@show']);
    $router->put('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@update']);
    $router->delete('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@delete']);

    //product
    $router->post('vendors/add_product', ['as' => 'vendors', 'uses' => $path . '\VendorController@addProduct']);
});

// Vendors API
$router->group(['prefix' => 'api/v3/'], function () use ($router)
{

    $path = "v3\Vendors";
   
    $router->post('vendors', ['as' => 'vendors', 'uses' => $path . '\VendorController@store']);

    //email verify
    $router->get('vendor/verify_email/{token}', ['as' => 'vendors', 'uses' => $path . '\VendorController@verifyEmail']);

    //otp verify
    $router->put('vendor/{id}/verify_otp', ['as' => 'vendors', 'uses' => $path . '\VendorController@verifyOtp']);

    //forgot password 
    $router->post('vendor/password_reset_link', ['as' => 'vendors', 'uses' => $path . '\ForgotPasswordController@sendResetPasswordLink']);
    $router->post('vendor/password_update/{token}', ['as' => 'vendors', 'uses' => $path . '\ForgotPasswordController@updatePassword']);


    $router->group(['middleware' => 'auth'], function () use ($router, $path)
    {

        $router->get('vendors', ['as' => 'vendors', 'uses' => $path . '\VendorController@index']);
        $router->put('vendor/{id}/update_location', ['as' => 'vendors', 'uses' => $path . '\VendorController@addDetails']);
        $router->get('vendors/search', ['as' => 'vendors', 'uses' => $path . '\VendorController@index']);
        $router->get('vendors/myinfo', ['as' => 'vendors', 'uses' => $path . '\VendorController@showMyInfo']);
        $router->get('vendors/count', ['as' => 'vendors', 'uses' => $path . '\VendorController@vendorCount']);
        $router->post('vendors/is_email_available', ['as' => 'vendors', 'uses' => $path . '\VendorController@isEmailAvailable']);
        $router->get('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@show']);
        $router->put('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@update']);
        $router->delete('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@delete']);
        $router->put('vendor/{id}/approve', ['as' => 'vendors', 'uses' => $path . '\VendorController@approve']);
        $router->put('vendor/{id}/update_email', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateEmail']);
        $router->put('vendor/{id}/update_mobile', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateNo']);
        $router->post('vendor/{id}/reset_password', ['as' => 'vendors', 'uses' => $path . '\VendorController@resetPassword']);
        $router->post('vendor/{id}/profile_picture', ['as' => 'vendors', 'uses' => $path . '\VendorController@uploadAvatar']);
        $router->get('vendor/{id}/profile_picture', ['as' => 'vendors', 'uses' => $path . '\VendorController@viewAvatar']);
        $router->put('vendor/{id}/update_categories', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateCategory']);
        $router->get('vendor/{id}/categories_count', ['as' => 'vendors', 'uses' => $path . '\VendorController@categoryCount']);
        $router->put('vendor/{id}/language', ['as' => 'vendors', 'uses' => $path . '\VendorController@changeLanguage']);
        $router->get('vendor/{id}/categories', ['as' => 'vendors', 'uses' => $path . '\VendorController@categories']);
        $router->get('vendor/{id}/products_count', ['as' => 'vendors', 'uses' => $path . '\VendorController@productCount']);
        $router->put('vendor/{id}/commission', ['as' => 'vendors', 'uses' => $path . '\VendorController@comission']);
        // my jobs
        $router->get('vendors/{id}/jobs', ['as' => 'jobs', 'uses' => $path . '\JobsController@allVendorJobs']);

    });
});

// Vendors Address API
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router)
{

    $path = "v3\Vendors";
    $router->get('vendor/{vendor_id}/addresses', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@index']);
    $router->get('vendor/{vendor_id}/addresses/search', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@index']);
    $router->get('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@show']);
    $router->post('vendor/{vendor_id}/addresses', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@store']);
    $router->put('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@update']);
    $router->put('vendor/{vendor_id}/addresses/{address_id}/default', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@setDefaultAddress']);
    $router->delete('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@delete']);
});



//**** Subcodevs v4 api ******/

// Vendors ReviewAndRatings API
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router)
{

    $path = "v4\Vendors";

    $router->get('vendor/reviews', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@index']);
    $router->get('vendor/reviews/search', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@index']);
    $router->post('vendor/reviews', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@store']);
    $router->get('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@show']);
    $router->put('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@update']);
    $router->delete('vendor/reviews/{id}', ['as' => 'reviews', 'uses' => $path . '\ReviewAndRatingController@delete']);

    //product
    $router->post('vendors/add_product', ['as' => 'vendors', 'uses' => $path . '\VendorController@addProduct']);
});

// Vendors API
$router->group(['prefix' => 'api/v4/'], function () use ($router)
{

    $path = "v4\Vendors";
   
    $router->post('vendors', ['as' => 'vendors', 'uses' => $path . '\VendorController@store']);

    //email verify
    $router->get('vendor/verify_email/{token}', ['as' => 'vendors', 'uses' => $path . '\VendorController@verifyEmail']);

    //otp verify
    $router->put('vendor/{id}/verify_otp', ['as' => 'vendors', 'uses' => $path . '\VendorController@verifyOtp']);

    //forgot password 
    $router->post('vendor/password_reset_link', ['as' => 'vendors', 'uses' => $path . '\ForgotPasswordController@sendResetPasswordLink']);
    $router->post('vendor/password_update/{token}', ['as' => 'vendors', 'uses' => $path . '\ForgotPasswordController@updatePassword']);


    $router->group(['middleware' => 'auth'], function () use ($router, $path)
    {

        $router->get('vendors', ['as' => 'vendors', 'uses' => $path . '\VendorController@index']);
        $router->put('vendor/{id}/update_location', ['as' => 'vendors', 'uses' => $path . '\VendorController@addDetails']);
        $router->get('vendors/search', ['as' => 'vendors', 'uses' => $path . '\VendorController@index']);
        $router->get('vendors/myinfo', ['as' => 'vendors', 'uses' => $path . '\VendorController@showMyInfo']);
        $router->get('vendors/count', ['as' => 'vendors', 'uses' => $path . '\VendorController@vendorCount']);
        $router->post('vendors/is_email_available', ['as' => 'vendors', 'uses' => $path . '\VendorController@isEmailAvailable']);
        $router->get('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@show']);
        $router->put('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@update']);
        $router->delete('vendors/{id}', ['as' => 'vendors', 'uses' => $path . '\VendorController@delete']);
        $router->put('vendor/{id}/approve', ['as' => 'vendors', 'uses' => $path . '\VendorController@approve']);
        $router->put('vendor/{id}/update_email', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateEmail']);
        $router->put('vendor/{id}/update_mobile', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateNo']);
        $router->post('vendor/{id}/reset_password', ['as' => 'vendors', 'uses' => $path . '\VendorController@resetPassword']);
        $router->post('vendor/{id}/profile_picture', ['as' => 'vendors', 'uses' => $path . '\VendorController@uploadAvatar']);
        $router->get('vendor/{id}/profile_picture', ['as' => 'vendors', 'uses' => $path . '\VendorController@viewAvatar']);
        $router->put('vendor/{id}/update_categories', ['as' => 'vendors', 'uses' => $path . '\VendorController@updateCategory']);
        $router->get('vendor/{id}/categories_count', ['as' => 'vendors', 'uses' => $path . '\VendorController@categoryCount']);
        $router->put('vendor/{id}/language', ['as' => 'vendors', 'uses' => $path . '\VendorController@changeLanguage']);
        $router->get('vendor/{id}/categories', ['as' => 'vendors', 'uses' => $path . '\VendorController@categories']);
        $router->get('vendor/{id}/products_count', ['as' => 'vendors', 'uses' => $path . '\VendorController@productCount']);
        $router->put('vendor/{id}/commission', ['as' => 'vendors', 'uses' => $path . '\VendorController@comission']);
        // my jobs
        $router->get('vendors/{id}/jobs', ['as' => 'jobs', 'uses' => $path . '\JobsController@allVendorJobs']);

    });
});

// Vendors Address API
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router)
{

    $path = "v4\Vendors";
    $router->get('vendor/{vendor_id}/addresses', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@index']);
    $router->get('vendor/{vendor_id}/addresses/search', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@index']);
    $router->get('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@show']);
    $router->post('vendor/{vendor_id}/addresses', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@store']);
    $router->put('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@update']);
    $router->put('vendor/{vendor_id}/addresses/{address_id}/default', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@setDefaultAddress']);
    $router->delete('vendor/{vendor_id}/addresses/{address_id}', ['as' => 'vendors', 'uses' => $path . '\VendorAddressController@delete']);
});
